	*******************************************************
	****          Pirates! - Custom Module,  	   ****
	**** all adaptions by Gaelan Griffin & Wanted Team ****
	*******************************************************

	incdir	"dh2:include/"
	include 'misc/eagleplayer2.01.i'

	SECTION Player,Code_C

PS_Start
	PLAYERHEADER PlayerTagArray

	dc.b	"$VER: Pirates! - Custom Module,",10
	dc.b	'adapted by Gaelan Griffin & Don Adan/Wanted Team',0
	even

PlayerTagArray
	dc.l	DTP_CustomPlayer,1
	dc.l	DTP_PlayerName,PlayerName
	dc.l	DTP_Interrupt,Interrupt
	dc.l	DTP_InitPlayer,InitPlayer
	dc.l	DTP_EndPlayer,EndPlayer
	dc.l	DTP_InitSound,InitSound
	dc.l	DTP_EndSound,EndSound
	dc.l	DTP_SubSongRange,SubSongRange
	dc.l	EP_Get_ModuleInfo,Get_ModuleInfo
	dc.l	TAG_DONE
PlayerName
	dc.b	"CustomPlay",0
Text
	dc.b	10
	dc.b	"        Pirates! Version 832.04",10
	dc.b	10
	dc.b	"  Amiga Version:..........Steve Bohrer.",10
	dc.b	"  Graphics:.................Kim Biscoe.",10
	dc.b	"  Sound & Music:............Ken Lagace.",10
	dc.b	"  Project Leader:.......Jeffery Briggs.",10
	dc.b	"  Quality Assurance:........Al Roireau,",10
	dc.b	"                        Chris Taormino,",10
	dc.b	"       Chris Hromanik, and Russ Cooney.",10
	dc.b	"  Original Design:.......Sid Meier with",10
	dc.b	"                       Arnold Hendrick.",10
	dc.b	10
	dc.b	"   (C) 1990 MicroProse Software, Inc.",10
	dc.b	10
	dc.b	"       Listen to Pirates songs:",10
	dc.b	10
	dc.b	"       Prelude by JS Bach",10
	dc.b	"       Sinfonia by JS Bach",10
	dc.b	"       Two Part Invention by JS Bach",10
	dc.b	"       Variation by JS Bach",10
	dc.b	"       Variation by JS Bach",10
	dc.b	"       Minuet by GF Handel",10
	dc.b	"       Bouree by GF Handel",10
	dc.b	"       Bouree by GF Handel",10
	dc.b	"       Prelude by JS Bach",10
	dc.b	"       Prelude by JS Bach",10
	dc.b	0
Info01
	dc.b	"  Bach, Prelude from Four Preludes",10
	dc.b	"  For Harpsichord and Sackbut.",10
	dc.b	"  The sackbut player gets excited",10
	dc.b	"  and plays the 'Sailor's Hornpipe'",0
Info02
	dc.b	"  Bach, Sinfonia 3 from Three Part Inventions",10
	dc.b	"  For Theorbo.",0
Info03
	dc.b	"  Bach, Invention 10 from Two Part Inventions",10
	dc.b	"  For Harpsichord and Crumb Horn.",10
	dc.b	"  The crumb horn player plays a lot",10
	dc.b	"  of the Red Storm Rising theme,",10
	dc.b	"  and you can hear it.",0
Info04
	dc.b	"  Bach, Variation 2 from The Goldberg Variations",10
	dc.b	"  For Dulcimer and Shawm.",10
	dc.b	"  The shawm player is into F19 Stealth Fighter.",10
	dc.b	"  He plays 'Dies Irae', used in the theme music",10
	dc.b	"  from that game.",0
Info05
	dc.b	"  Bach, Variation 4 from The Goldberg Variations",10
	dc.b	"  For Harpsichord.",0
Info06
	dc.b	"  Handel, Minuet from The Water Music",10
	dc.b	"  For four Tubas.",10
	dc.b	"  Performed here by the Greater Tortuga Tuba Quartet",0
Info07
	dc.b	"  Handel, Bouree from Suite 1 of The Water Music",10
	dc.b	"  For Harpsichord and Flageolet.",10
	dc.b	"  As it turns out, the flageolet player brought",10
	dc.b	"  the wrong music to the recording session:",10
	dc.b	"  he plays a theme from a Mozart Symphony",10
	dc.b	"  and also the 'Sailor's Hornpipe'.",0
Info08
	dc.b	"  Handel, Bouree from Suite 2 of The Water Music",10
	dc.b	"  For Serptent and Lute.",10
	dc.b	"  The lute player gets confused and plays parts",10
	dc.b	"  of Bach's Goldberg Variations instead.",0
Info09
	dc.b	"  Bach, Prelude 5 from Twelve Little Preludes",10
	dc.b	"  For Chitarrone and Clavichord.",0
Info10
	dc.b	"  Bach, Prelude 2 from Twelve Little Preludes",10
	dc.b	"  For Harpsichoprd and Bass Cornett.",10
	dc.b	"  The Bass cornett is playing an early arrangement",10
	dc.b	"  of Richard Wagner's 'Ride of the Walkure'",10
	dc.b	"  (which also, though he doesn't realize it,",10
	dc.b	"  is the theme from Gunship).",0
	even

ExecBase
	dc.l	0				; for GG
Timer
	dc.w	0

***************************************************************************
***************************** DTP_SubSongRange ****************************
***************************************************************************

SubSongRange
	moveq	#0,D0
	moveq	#$1C,D1
	rts

***************************************************************************
***************************** EP_Get_ModuleInfo ***************************
***************************************************************************

Get_ModuleInfo
	lea	InfoBuffer(PC),A0
	rts

InfoBuffer
	dc.l	MI_SpecialInfo,Text
	dc.l	MI_LoadSize,PS_End-PS_Start
Extra
	dc.l	MI_ExtraInfo,0
	dc.l	0

***************************************************************************
***************************** DTP_InitPlayer ******************************
***************************************************************************

InitPlayer
	move.l	4.W,ExecBase

	lea	WT(PC),A4
	bsr.w	InitPlay
	tst.w	lbW0098B0-WT(A4)
	bne.b	InOK
	moveq	#EPR_CantAllocAudio,D0
	rts
InOK
	moveq	#0,D0
	rts

***************************************************************************
***************************** DTP_EndPlayer *******************************
***************************************************************************

EndPlayer
	lea	WT(PC),A4
	bsr.w	EndPlay
	moveq	#0,D0
	rts

***************************************************************************
****************************** DTP_Interrupt ******************************
***************************************************************************

Interrupt
	movem.l	D1-A6,-(SP)

	lea	WT(PC),A4
	bsr.w	Play

	movem.l	(SP)+,D1-A6
	moveq	#0,D0
	rts

***************************************************************************
***************************** DTP_InitSound *******************************
***************************************************************************

InitSound
	move.w	Timer(PC),D0
	bne.b	Done
	move.w	dtg_Timer(A5),D0
	mulu.w	#5,D0
	divu.w	#6,D0			; 60 Hz
	lea	Timer(PC),A0
	move.w	D0,(A0)
Done	move.w	D0,dtg_Timer(A5)
	move.w	dtg_SndNum(A5),D0
	lsl.w	#2,D0
	lea	Extra+4(PC),A0
	move.l	Info(PC,D0.W),(A0)
	lea	WT(PC),A4
	bsr.w	Init_1
	move.w	dtg_SndNum(A5),-(SP)
	bsr.w	Init_2
	addq.w	#2,SP
	rts

Info
	dc.l	0
	dc.l	0
	dc.l	0
	dc.l	0
	dc.l	0
	dc.l	0
	dc.l	0
	dc.l	0
	dc.l	Info01
	dc.l	Info02
	dc.l	Info03
	dc.l	Info04
	dc.l	Info05
	dc.l	Info06
	dc.l	Info07
	dc.l	Info08
	dc.l	Info09
	dc.l	Info10
	dc.l	0
	dc.l	0
	dc.l	0
	dc.l	0
	dc.l	0
	dc.l	0
	dc.l	0
	dc.l	0
	dc.l	0
	dc.l	0
	dc.l	0

***************************************************************************
***************************** DTP_EndSound ********************************
***************************************************************************

EndSound
	lea	WT(PC),A4
	bsr.w	End
	rts

***************************************************************************
***************************************************************************
***************************************************************************

; Music from "Pirates!" (c) 1990 by MicroProse

;	MOVEQ	#$61,D0
lbC0024D0	LINK.W	A5,#-8
	MOVEM.L	D7/A2/A6,-(SP)
;	MOVE.L	#$198,D0
;	MOVE.L	#$10001,D1
;	MOVEA.L	4,A6
;	JSR	-$C6(A6)
;	MOVE.L	D0,lbL0098B2-WT(A4)
;	BNE.S	lbC0024FC
;	MOVEQ	#1,D0
;	MOVE.W	D0,-(SP)
;	BSR.L	lbC00269E
;	ADDQ.W	#2,SP
lbC0024FC	MOVEQ	#0,D7
lbC0024FE	MOVEQ	#4,D0
	CMP.W	D0,D7
	BGE.S	lbC002526
	MOVE.L	D7,D1
	EXT.L	D1
	ASL.L	#2,D1
	MOVE.L	D7,D0
	MULS.W	#$44,D0
	MOVEA.L	lbL0098B2-WT(A4),A0
	ADDA.L	D0,A0
	LEA	$44(A0),A1
	LEA	lbL0098BA-WT(A4),A2
	MOVE.L	A1,0(A2,D1.L)
	ADDQ.W	#1,D7
	BRA.S	lbC0024FE

lbC002526	MOVEA.L	lbL0098B2-WT(A4),A0
	MOVE.L	A0,lbL0098B6-WT(A4)
	LEA	$154(A0),A1
	MOVE.L	A1,lbL0098CA-WT(A4)
	MOVE.B	#$7F,9(A0)
	CLR.L	-(SP)
	PEA	Audiozero.MSG-WT(A4)

	lea	Buffy1(PC),A2

	JSR	lbC0050F8(PC)
	ADDQ.W	#8,SP
	MOVEA.L	lbL0098B2-WT(A4),A0
	MOVE.L	D0,14(A0)
	BNE.S	lbC00255C
	MOVEQ	#2,D0
	MOVE.W	D0,-(SP)
	BSR.L	lbC00269E
	ADDQ.W	#2,SP
lbC00255C	LEA	lbW0079E8-WT(A4),A0
	MOVEA.L	lbL0098B2-WT(A4),A1
	MOVE.L	A0,$22(A1)
	MOVEQ	#1,D0
	MOVE.L	D0,$26(A1)
	MOVEA.L	lbL0098B2-WT(A4),A0
	MOVE.B	#$40,$1E(A0)
	LEA	audiodevice.MSG-WT(A4),A0
	MOVEQ	#0,D0
	MOVEA.L	lbL0098B2-WT(A4),A1
	MOVE.L	D0,D1
;	MOVEA.L	4,A6

	move.l	ExecBase(PC),A6

	JSR	-$1BC(A6)
	MOVE.W	D0,lbW0098CE-WT(A4)
	BEQ.S	lbC00259C
	CLR.W	lbW0098B0-WT(A4)
;	JSR	lbC000DF0(PC)			; error routine
	BRA.S	lbC0025A2

lbC00259C	MOVE.W	#1,lbW0098B0-WT(A4)
lbC0025A2	MOVEA.L	lbL0098B2-WT(A4),A0
	MOVEA.L	lbL0098CA-WT(A4),A1
	MOVEQ	#$10,D0
lbC0025AC	MOVE.L	(A0)+,(A1)+
	DBRA	D0,lbC0025AC
	MOVEQ	#1,D0
	MOVEA.L	lbL0098CA-WT(A4),A0
	MOVE.B	D0,$1E(A0)
	MOVEA.L	lbL0098B6-WT(A4),A0
	MOVE.B	D0,$1E(A0)
	MOVEA.L	lbL0098CA-WT(A4),A1
	MOVE.W	#11,$1C(A1)
	MOVEA.L	lbL0098B6-WT(A4),A0
	MOVE.W	#12,$1C(A0)

	lea	Buffy2(PC),A2

	MOVEQ	#0,D7
lbC0025DA	MOVEQ	#4,D0
	CMP.W	D0,D7
	BGE.S	lbC002622
	MOVE.L	D7,D1
	EXT.L	D1
	ASL.L	#2,D1
	LEA	lbL0098BA-WT(A4),A0
	MOVEA.L	0(A0,D1.L),A0
	MOVEA.L	lbL0098B2-WT(A4),A1
	MOVEQ	#$10,D0
lbC0025F4	MOVE.L	(A1)+,(A0)+
	DBRA	D0,lbC0025F4
	LEA	lbL0098BA-WT(A4),A0
	MOVEA.L	0(A0,D1.L),A0
	CLR.L	-(SP)
	LEA	lbL007A1E-WT(A4),A1
	MOVE.L	0(A1,D1.L),-(SP)
	MOVE.L	A0,$18(SP)
	JSR	lbC0050F8(PC)

	lea	$22(A2),A2

	ADDQ.W	#8,SP
	MOVEA.L	$10(SP),A0
	MOVE.L	D0,14(A0)
	ADDQ.W	#1,D7
	BRA.S	lbC0025DA

lbC002622	MOVEQ	#0,D7
lbC002624	MOVEQ	#4,D0
	CMP.W	D0,D7
	BGE.S	lbC002696
	MOVE.L	D7,D1
	EXT.L	D1
	ASL.L	#2,D1
	LEA	lbL0098BA-WT(A4),A0
	MOVEA.L	0(A0,D1.L),A0
	TST.L	14(A0)
	BNE.S	lbC002646
	MOVE.W	D0,-(SP)
	BSR.L	lbC00269E
	ADDQ.W	#2,SP
lbC002646	MOVE.L	D7,D0
	EXT.L	D0
	ASL.L	#2,D0
	LEA	lbL0098BA-WT(A4),A0
	MOVEA.L	0(A0,D0.L),A0
	MOVE.W	#3,$1C(A0)
	LEA	lbL0098BA-WT(A4),A0
	MOVEA.L	0(A0,D0.L),A0
	MOVE.B	#$11,$1E(A0)
	LEA	lbL0098BA-WT(A4),A0
	MOVEA.L	0(A0,D0.L),A0
	MOVE.W	#1,$2E(A0)
	LEA	lbL0098BA-WT(A4),A0
	MOVEA.L	0(A0,D0.L),A0
	MOVE.L	D7,D0
	EXT.L	D0
	ADD.L	D0,D0
	LEA	lbW0079EA-WT(A4),A1
	MOVE.W	0(A1,D0.L),D1
	EXT.L	D1
	MOVE.L	D1,$18(A0)
	ADDQ.W	#1,D7
	BRA.S	lbC002624

lbC002696	MOVEM.L	(SP)+,D7/A2/A6
	UNLK	A5
	RTS

lbC00269E	MOVEM.L	D6/D7/A6,-(SP)
	MOVE.W	$10(SP),D7
	MOVE.L	D7,D0
	CMPI.W	#6,D0
	BCC.S	lbC002728
	ADD.W	D0,D0
	MOVE.W	lbW0026B8(PC,D0.W),D0
	JMP	lbW0026BA(PC,D0.W)

lbW0026B8	dc.w	lbC0026C4-lbW0026BA
lbW0026BA	dc.w	lbC002728-lbW0026BA
	dc.w	lbC002716-lbW0026BA
	dc.w	lbC002708-lbW0026BA
	dc.w	lbC0026C4-lbW0026BA
	dc.w	lbC0026C4-lbW0026BA

lbC0026C4	MOVEQ	#0,D6
lbC0026C6	MOVEQ	#4,D0
	CMP.W	D0,D6
	BGE.S	lbC0026F6
	MOVE.L	D6,D1
	EXT.L	D1
	ASL.L	#2,D1
	LEA	lbL0098BA-WT(A4),A0
	MOVEA.L	0(A0,D1.L),A0
	TST.L	14(A0)
	BEQ.S	lbC0026F2
	LEA	lbL0098BA-WT(A4),A0
	MOVEA.L	0(A0,D1.L),A0
	MOVE.L	14(A0),-(SP)
	JSR	lbC004FB4(PC)
	ADDQ.W	#4,SP
lbC0026F2	ADDQ.W	#1,D6
	BRA.S	lbC0026C6

lbC0026F6	TST.W	lbW0098B0-WT(A4)
	BEQ.S	lbC002708
	MOVEA.L	lbL0098B2-WT(A4),A1
;	MOVEA.L	4,A6

	move.l	ExecBase(PC),A6

	JSR	-$1C2(A6)
lbC002708	MOVEA.L	lbL0098B2-WT(A4),A0
	MOVE.L	14(A0),-(SP)
	JSR	lbC004FB4(PC)
	ADDQ.W	#4,SP
lbC002716
;	MOVEA.L	lbL0098B2-WT(A4),A1
;	MOVE.L	#$198,D0
;	MOVEA.L	4,A6
;	JSR	-$D2(A6)
lbC002728
;	TST.W	D7
;	BEQ.S	lbC002738
;	MOVE.L	lbL007A64-WT(A4),-(SP)
;	JSR	lbC0007A6(PC)			; error routine
;	ADDQ.W	#4,SP
;	BRA.S	lbC00273A

lbC002738	MOVEQ	#0,D0
lbC00273A	MOVEM.L	(SP)+,D6/D7/A6
	RTS

lbC002740	MOVEM.L	D5-D7,-(SP)
	MOVE.W	$10(SP),D7
	MOVE.W	$12(SP),D6
	MOVE.W	$14(SP),D5
	MOVEA.L	lbL0098B6-WT(A4),A0
	MOVE.W	D7,$2A(A0)
	MOVEA.L	lbL0098B6-WT(A4),A0
	MOVE.W	D6,$2C(A0)
	MOVE.L	D5,D0
	EXT.L	D0
	ADD.L	D0,D0
	LEA	lbW0079EA-WT(A4),A0
	MOVE.W	0(A0,D0.L),D1
	EXT.L	D1
	MOVEA.L	lbL0098B6-WT(A4),A0
	MOVE.L	D1,$18(A0)
	MOVE.L	A0,-(SP)
	JSR	lbC005AC4(PC)
	ADDQ.W	#4,SP
	MOVEM.L	(SP)+,D5-D7
	RTS

lbC002786	MOVEM.L	D4-D7/A3/A6,-(SP)
	MOVE.W	$1C(SP),D7
	MOVE.W	$1E(SP),D6
	MOVE.W	$20(SP),D5
	MOVE.W	$22(SP),D4
	MOVE.L	D7,D0
	MULS.W	#10,D0
	LEA	lbL0098D4,A0
	ADDA.L	D0,A0
	TST.W	8(A0)
	BEQ.S	lbC002828
	MOVE.L	D4,D0
	EXT.L	D0
	ADD.L	D0,D0
	LEA	lbW0079EA-WT(A4),A0
	MOVE.W	0(A0,D0.L),D1
	EXT.L	D1
	MOVEA.L	lbL0098CA-WT(A4),A0
	MOVE.L	D1,$18(A0)
	MOVE.L	A0,-(SP)
	JSR	lbC005AC4(PC)
	MOVE.L	D4,D0
	EXT.L	D0
	ASL.L	#2,D0
	LEA	lbL0098BA-WT(A4),A0
	MOVEA.L	0(A0,D0.L),A3
	MOVE.L	D7,D0
	MULS.W	#10,D0
	LEA	lbL0098D4,A0
	MOVEA.L	A0,A1
	ADDA.L	D0,A1
	MOVE.L	(A1),$22(A3)
	ADDA.L	D0,A0
	MOVE.L	4(A0),$26(A3)
	MOVE.W	D6,$2A(A3)
	MOVE.W	D5,$2C(A3)
	MOVE.L	A3,(SP)
	JSR	lbC005AC4(PC)
	ADDQ.W	#4,SP
	MOVEA.L	A3,A1
;	MOVEA.L	4,A6

	move.l	ExecBase(PC),A6

	JSR	-$1D4(A6)
	MOVE.W	D0,lbW0098CE-WT(A4)
	BEQ.S	lbC002828
	MOVE.L	D4,D0
	EXT.L	D0
	ASL.L	#2,D0
	LEA	lbL0098BA-WT(A4),A1
	MOVEA.L	0(A1,D0.L),A1
	JSR	-$1DA(A6)
lbC002828	MOVEM.L	(SP)+,D4-D7/A3/A6
	RTS

End
lbC00282E	MOVE.L	D7,-(SP)
	MOVEQ	#0,D7
lbC002832	MOVEQ	#4,D0
	CMP.W	D0,D7
	BGE.S	lbC00286A
	MOVE.W	D7,-(SP)
	CLR.W	-(SP)
	MOVE.W	#$80,D0
	MOVE.W	D0,-(SP)
	BSR.L	lbC002740
	MOVE.L	D7,D0
	EXT.L	D0
	ADD.L	D0,D0
	LEA	lbW0079EA-WT(A4),A0
	MOVE.W	0(A0,D0.L),D1
	EXT.L	D1
	MOVEA.L	lbL0098CA-WT(A4),A0
	MOVE.L	D1,$18(A0)
	MOVE.L	A0,(SP)
	JSR	lbC005AC4(PC)
	ADDQ.W	#6,SP
	ADDQ.W	#1,D7
	BRA.S	lbC002832

lbC00286A	MOVE.L	(SP)+,D7
	RTS

;lbC00286E	MOVEM.L	D6/D7/A3,-(SP)
;	MOVE.W	$10(SP),D7
;	MOVE.W	$12(SP),D6
;	MOVE.W	lbW0079EA-WT(A4),D0
;	EXT.L	D0
;	MOVEA.L	lbL0098CA-WT(A4),A0
;	MOVE.L	D0,$18(A0)
;	MOVE.L	A0,-(SP)
;	JSR	lbC005AC4(PC)
;	MOVEA.L	lbL0098BA-WT(A4),A3
;	MOVE.W	#$3FE,D0
;	AND.W	lbW009A24-WT(A4),D0
;	MOVEA.L	lbL0098E8,A0
;	ADDA.W	D0,A0
;	MOVE.L	A0,$22(A3)
;	EXT.L	D0
;	MOVE.L	lbL0098EC,D1
;	SUB.L	D0,D1
;	MOVE.L	D1,$26(A3)
;	MOVE.W	D7,$2A(A3)
;	MOVE.W	D6,$2C(A3)
;	MOVE.L	lbL0098BA-WT(A4),(SP)
;	JSR	lbC005AC4(PC)
;	ADDQ.W	#4,SP
;	MOVEM.L	(SP)+,D6/D7/A3
;	RTS

;	dc.w	0
;	dc.w	0
;	dc.w	0

;	MOVEQ	#$61,D0
;lbC0028D4	MOVE.L	D7,-(SP)
;	MOVE.W	8(SP),D7
;	MOVE.W	D7,lbW0098D2-WT(A4)
;	MOVE.L	(SP)+,D7
;	RTS

;	MOVE.W	#1,lbW00999C-WT(A4)
;	RTS

;lbC0028EA	CLR.W	lbW00999C-WT(A4)
;	RTS

lbC0028F0	MOVEQ	#1,D0
	MOVE.W	D0,-(SP)
	PEA	lbL0063E4-WT(A4)
	JSR	lbC003478(PC)
	ADDQ.W	#6,SP
	RTS

lbC002900	CLR.W	-(SP)
	PEA	lbL0063D0-WT(A4)
	JSR	lbC003478(PC)
	ADDQ.W	#6,SP
	RTS

lbC00290E	MOVEQ	#2,D0
	MOVE.W	D0,-(SP)
	PEA	lbL00639A-WT(A4)
	JSR	lbC003478(PC)
	ADDQ.W	#6,SP
	RTS

lbC00291E	MOVEQ	#3,D0
	MOVE.W	D0,-(SP)
	PEA	lbL0063AE-WT(A4)
	JSR	lbC003478(PC)
	ADDQ.W	#6,SP
	RTS

lbC00292E	MOVEQ	#1,D0
	MOVE.W	D0,-(SP)
	PEA	lbL006386-WT(A4)
	JSR	lbC003478(PC)
	ADDQ.W	#6,SP
	RTS

lbC00293E	MOVEQ	#1,D0
	MOVE.W	D0,-(SP)
	PEA	lbL0063F8-WT(A4)
	JSR	lbC003478(PC)
	ADDQ.W	#6,SP
	RTS

lbC00294E	MOVEQ	#3,D0
	MOVE.W	D0,-(SP)
	PEA	lbL006410-WT(A4)
	JSR	lbC003478(PC)
	ADDQ.W	#6,SP
	RTS

lbC00295E	MOVEQ	#3,D0
	MOVE.W	D0,-(SP)
	PEA	lbL00636E-WT(A4)
	JSR	lbC003478(PC)
	ADDQ.W	#6,SP
	RTS

lbC00296E	MOVEQ	#1,D0
	MOVE.W	D0,-(SP)
	PEA	lbL00643C-WT(A4)
	JSR	lbC003478(PC)
	ADDQ.W	#6,SP
	RTS

lbC00297E	MOVEQ	#3,D0
	MOVE.W	D0,-(SP)
	PEA	lbL006428-WT(A4)
	JSR	lbC003478(PC)
	ADDQ.W	#6,SP
	RTS

;lbC00298E	ADDQ.W	#1,lbW0098D0-WT(A4)
;	CMPI.W	#3,lbW0098D0-WT(A4)
;	BLE.S	lbC0029A0
;	MOVEQ	#0,D0
;	MOVE.W	D0,lbW0098D0-WT(A4)
;lbC0029A0	MOVE.W	lbW0098D0-WT(A4),D0
;	TST.W	D0
;	BEQ.L	lbC002A56
;	SUBQ.W	#1,D0
;	BEQ.S	lbC0029BA
;	SUBQ.W	#1,D0
;	BEQ.S	lbC0029F0
;	SUBQ.W	#1,D0
;	BEQ.S	lbC002A24
;	BRA.L	lbC002A86

lbC0029BA	MOVEQ	#1,D0
	MOVE.W	D0,-(SP)
	PEA	lbL005FF0-WT(A4)
	JSR	lbC003478(PC)
	CLR.W	(SP)
	PEA	lbL0060BE-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#2,D0
	MOVE.W	D0,(SP)
	PEA	lbL006018-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#3,D0
	MOVE.W	D0,(SP)
	PEA	lbL0060E6-WT(A4)
	JSR	lbC003478(PC)
	LEA	$12(SP),SP
	BRA.L	lbC002A86

lbC0029F0	MOVEQ	#1,D0
	MOVE.W	D0,-(SP)
	PEA	lbL006058-WT(A4)
	JSR	lbC003478(PC)
	CLR.W	(SP)
	PEA	lbL006126-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#2,D0
	MOVE.W	D0,(SP)
	PEA	lbL005FF0-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#3,D0
	MOVE.W	D0,(SP)
	PEA	lbL0060BE-WT(A4)
	JSR	lbC003478(PC)
	LEA	$12(SP),SP
	BRA.S	lbC002A86

lbC002A24	CLR.W	-(SP)
	PEA	lbL005FF0-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#2,D0
	MOVE.W	D0,(SP)
	PEA	lbL0060BE-WT(A4)
	JSR	lbC003478(PC)
	CLR.W	(SP)
	PEA	lbL006018-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#2,D0
	MOVE.W	D0,(SP)
	PEA	lbL0060E6-WT(A4)
	JSR	lbC003478(PC)
	LEA	$12(SP),SP
	BRA.S	lbC002A86

lbC002A56	CLR.W	-(SP)
	PEA	lbL006058-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#2,D0
	MOVE.W	D0,(SP)
	PEA	lbL006126-WT(A4)
	JSR	lbC003478(PC)
	CLR.W	(SP)
	PEA	lbL005FF0-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#2,D0
	MOVE.W	D0,(SP)
	PEA	lbL0060BE-WT(A4)
	JSR	lbC003478(PC)
	LEA	$12(SP),SP
lbC002A86	RTS

lbC002A88	MOVEQ	#2,D0
	MOVE.W	D0,-(SP)
	PEA	lbL0061CE-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#3,D0
	MOVE.W	D0,(SP)
	PEA	lbL00618C-WT(A4)
	JSR	lbC003478(PC)
	LEA	10(SP),SP
	RTS

lbC002AA6	MOVEQ	#2,D0
	MOVE.W	D0,-(SP)
	PEA	lbL006210-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#3,D0
	MOVE.W	D0,(SP)
	PEA	lbL006252-WT(A4)
	JSR	lbC003478(PC)
	LEA	10(SP),SP
	RTS

lbC002AC4	MOVEQ	#2,D0
	MOVE.W	D0,-(SP)
	PEA	lbL0062BE-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#3,D0
	MOVE.W	D0,(SP)
	PEA	lbL006294-WT(A4)
	JSR	lbC003478(PC)
	LEA	10(SP),SP
	RTS

lbC002AE2	MOVEQ	#1,D0
	MOVE.W	D0,-(SP)
	PEA	lbL0062F0-WT(A4)
	JSR	lbC003478(PC)
	CLR.W	(SP)
	PEA	lbL0062E8-WT(A4)
	JSR	lbC003478(PC)
	LEA	10(SP),SP
	RTS

lbC002AFE	MOVEQ	#3,D0
	MOVE.W	D0,-(SP)
	PEA	lbL006348-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#2,D0
	MOVE.W	D0,(SP)
	PEA	lbL006322-WT(A4)
	JSR	lbC003478(PC)
	LEA	10(SP),SP
	RTS

lbC002B1C	MOVEQ	#3,D0
	MOVE.W	D0,-(SP)
	PEA	lbL006450-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#1,D0
	MOVE.W	D0,(SP)
	PEA	lbL0064F2-WT(A4)
	JSR	lbC003478(PC)
	CLR.W	(SP)
	PEA	lbL0065E2-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#2,D0
	MOVE.W	D0,(SP)
	PEA	lbL00654E-WT(A4)
	JSR	lbC003478(PC)
	LEA	$12(SP),SP
	RTS

lbC002B50	CLR.W	-(SP)
	PEA	lbL006646-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#1,D0
	MOVE.W	D0,(SP)
	PEA	lbL0066AA-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#3,D0
	MOVE.W	D0,(SP)
	PEA	lbL00672E-WT(A4)
	JSR	lbC003478(PC)
	LEA	14(SP),SP
	RTS

lbC002B78	CLR.W	-(SP)
	PEA	lbL00676E-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#1,D0
	MOVE.W	D0,(SP)
	PEA	lbL006854-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#3,D0
	MOVE.W	D0,(SP)
	PEA	lbL00691A-WT(A4)
	JSR	lbC003478(PC)
	LEA	14(SP),SP
	RTS

lbC002BA0	CLR.W	-(SP)
	PEA	lbL00695A-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#1,D0
	MOVE.W	D0,(SP)
	PEA	lbL0069C8-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#3,D0
	MOVE.W	D0,(SP)
	PEA	lbL006AE2-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#2,D0
	MOVE.W	D0,(SP)
	PEA	lbL006A5C-WT(A4)
	JSR	lbC003478(PC)
	LEA	$12(SP),SP
	RTS

lbC002BD4	CLR.W	-(SP)
	PEA	lbL006B30-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#1,D0
	MOVE.W	D0,(SP)
	PEA	lbL006B86-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#3,D0
	MOVE.W	D0,(SP)
	PEA	lbL006BE8-WT(A4)
	JSR	lbC003478(PC)
	LEA	14(SP),SP
	RTS

lbC002BFC	CLR.W	-(SP)
	PEA	lbL006C28-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#2,D0
	MOVE.W	D0,(SP)
	PEA	lbL006E1C-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#3,D0
	MOVE.W	D0,(SP)
	PEA	lbL006EFC-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#1,D0
	MOVE.W	D0,(SP)
	PEA	lbL006D28-WT(A4)
	JSR	lbC003478(PC)
	LEA	$12(SP),SP
	RTS

lbC002C30	CLR.W	-(SP)
	PEA	lbL006FFC-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#1,D0
	MOVE.W	D0,(SP)
	PEA	lbL0071D2-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#3,D0
	MOVE.W	D0,(SP)
	PEA	lbL007344-WT(A4)
	JSR	lbC003478(PC)
	LEA	14(SP),SP
	RTS

lbC002C58	CLR.W	-(SP)
	PEA	lbL007494-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#1,D0
	MOVE.W	D0,(SP)
	PEA	lbL00755C-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#3,D0
	MOVE.W	D0,(SP)
	PEA	lbL007614-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#2,D0
	MOVE.W	D0,(SP)
	PEA	lbL0075A4-WT(A4)
	JSR	lbC003478(PC)
	LEA	$12(SP),SP
	RTS

lbC002C8C	CLR.W	-(SP)
	PEA	lbL007648-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#1,D0
	MOVE.W	D0,(SP)
	PEA	lbL0076FA-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#3,D0
	MOVE.W	D0,(SP)
	PEA	lbL007742-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#2,D0
	MOVE.W	D0,(SP)
	PEA	lbL00771E-WT(A4)
	JSR	lbC003478(PC)
	LEA	$12(SP),SP
	RTS

lbC002CC0	CLR.W	-(SP)
	PEA	lbL007798-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#1,D0
	MOVE.W	D0,(SP)
	PEA	lbL0078C4-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#3,D0
	MOVE.W	D0,(SP)
	PEA	lbL00792E-WT(A4)
	JSR	lbC003478(PC)
	MOVEQ	#2,D0
	MOVE.W	D0,(SP)
	PEA	lbL007910-WT(A4)
	JSR	lbC003478(PC)
	LEA	$12(SP),SP
	RTS

Init_2
lbC002CF4	MOVEM.L	D5-D7,-(SP)
	MOVE.W	$10(SP),D7
;	TST.W	lbW0098B0-WT(A4)
;	BEQ.S	lbC002D72
;	MOVE.L	D7,D0
;	SUBI.W	#9,D0
;	BEQ.S	lbC002D20
;	SUBQ.W	#1,D0
;	BEQ.S	lbC002D14
;	SUBQ.W	#1,D0
;	BEQ.S	lbC002D1A
;	BRA.S	lbC002D56

;lbC002D14	JSR	lbC0032F0(PC)
;	BRA.S	lbC002D72

;lbC002D1A	JSR	lbC003332(PC)
;	BRA.S	lbC002D72

;lbC002D20	MOVE.W	lbW007B18-WT(A4),D5
;	CLR.W	lbW007B18-WT(A4)
;	BSR.L	lbC0028EA
;	MOVE.L	D7,D0
;	EXT.L	D0
;	ASL.L	#2,D0
;	LEA	lbL007A68-WT(A4),A0
;	MOVEA.L	0(A0,D0.L),A0
;	JSR	(A0)
;	MOVE.W	D5,lbW007B18-WT(A4)
;	TST.L	lbL00988C-WT(A4)
;	BEQ.S	lbC002D72
;	MOVE.L	lbL00988C-WT(A4),D6
;	ADDQ.L	#2,D6
;lbC002D4C	MOVE.L	lbL00988C-WT(A4),D0
;	CMP.L	D6,D0
;	BCC.S	lbC002D72
;	BRA.S	lbC002D4C

lbC002D56	MOVE.W	lbW007B18-WT(A4),D5
	CLR.W	lbW007B18-WT(A4)
	MOVE.L	D7,D0
	EXT.L	D0
	ASL.L	#2,D0
	LEA	lbL007A68-WT(A4),A0
	MOVEA.L	0(A0,D0.L),A0
	JSR	(A0)
	MOVE.W	D5,lbW007B18-WT(A4)
lbC002D72	MOVEM.L	(SP)+,D5-D7
	RTS

InitPlay
lbC002D78	MOVEQ	#0,D0
	MOVE.W	D0,lbW007B18-WT(A4)
	TST.W	lbW007B1A-WT(A4)
	BNE.S	lbC002D8E
	JSR	lbC0024D0(PC)
	MOVEQ	#-1,D0
	MOVE.W	D0,lbW007B1A-WT(A4)
lbC002D8E
;	MOVEQ	#-1,D0
;	MOVE.W	D0,-(SP)
;	BSR.L	lbC0028D4
;	ADDQ.W	#2,SP
	MOVE.W	#$FFFF,lbW007B18-WT(A4)
	RTS

EndPlay
;lbC002DA0	MOVEQ	#-1,D0
;	MOVE.W	D0,-(SP)
;	BSR.L	lbC0028D4
;	ADDQ.W	#2,SP
	TST.W	lbW0098B0-WT(A4)
	BEQ.S	lbC002DB4
	JSR	lbC00341A(PC)
lbC002DB4	MOVEQ	#-1,D0
	CMP.W	lbW007B1A-WT(A4),D0
	BNE.S	lbC002DD2
	TST.W	lbW0098B0-WT(A4)
	BEQ.S	lbC002DC6
	JSR	lbC00282E(PC)
lbC002DC6	CLR.W	-(SP)
	JSR	lbC00269E(PC)
	ADDQ.W	#2,SP
	CLR.W	lbW007B1A-WT(A4)
lbC002DD2	RTS

;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.l	0
;	dc.w	0

;	MOVEQ	#$61,D0					; install samples
;lbC002F5C	LINK.W	A5,#-$10
;	MOVEM.L	D6/D7/A2/A3,-(SP)
;	MOVE.W	8(A5),D7
;	TST.W	lbW0098B0-WT(A4)
;	BEQ.S	lbC002FCE
;	CMPI.W	#$3E8,D7
;	BLT.S	lbC002F7C
;	MOVE.L	D7,D0
;	SUBI.W	#$3E8,D0
;	BRA.S	lbC002F7E

;lbC002F7C	MOVE.L	D7,D0
;lbC002F7E	MOVE.L	D0,D6
;	MOVE.L	D6,D0
;	MULS.W	#10,D0
;	LEA	lbL0098D4-WT(A4),A0
;	ADDA.L	D0,A0
;	MOVEA.L	A0,A2
;	TST.W	8(A2)
;	BNE.S	lbC002FCE
;	MOVE.W	D7,-(SP)
;	MOVE.L	#$4467746C,-(SP)
;	JSR	lbC000EB8(PC)
;	ADDQ.W	#6,SP
;	MOVEA.L	D0,A3
;	MOVE.L	A3,D0
;	BEQ.S	lbC002FCE
;	TST.L	(A3)
;	BNE.S	lbC002FB4
;	MOVE.L	A3,-(SP)
;	JSR	lbC003118(PC)
;	ADDQ.W	#4,SP
;lbC002FB4	MOVE.L	A3,-(SP)
;	JSR	lbC0018FC(PC)
;	MOVE.L	A3,(SP)
;	JSR	lbC001A5E(PC)
;	MOVEA.L	(A3),A0
;	MOVE.L	(A0)+,4(A2)
;	MOVE.L	A0,(A2)
;	MOVE.W	#$FFFF,8(A2)
;lbC002FCE	MOVEM.L	-$20(A5),D6/D7/A2/A3
;	UNLK	A5
;	RTS

;lbC002FD8	MOVEM.L	D6/D7/A2/A3,-(SP)
;	MOVE.W	$14(SP),D7
;	CMPI.W	#$3E8,D7
;	BLT.S	lbC002FEE
;	MOVE.L	D7,D0
;	SUBI.W	#$3E8,D0
;	BRA.S	lbC002FF0

;lbC002FEE	MOVE.L	D7,D0
;lbC002FF0	MOVE.L	D0,D6
;	MOVE.L	D6,D0
;	MULS.W	#10,D0
;	LEA	lbL0098D4-WT(A4),A0
;	ADDA.L	D0,A0
;	MOVEA.L	A0,A2
;	CLR.W	8(A2)
;	CLR.L	4(A2)
;	CLR.L	(A2)
;	MOVE.W	D7,-(SP)
;	MOVE.L	#$4467746C,-(SP)
;	JSR	lbC003112(PC)
;	ADDQ.W	#6,SP
;	MOVEA.L	D0,A3
;	MOVE.L	A3,D0
;	BEQ.S	lbC003026
;	MOVE.L	A3,-(SP)
;	JSR	lbC001A7E(PC)
;	ADDQ.W	#4,SP
;lbC003026	MOVEM.L	(SP)+,D6/D7/A2/A3
;	RTS

;lbC00302C	MOVEM.L	D7/A3,-(SP)
;	MOVEQ	#9,D0
;	MOVE.W	D0,-(SP)
;	JSR	lbC002CF4(PC)
;	ADDQ.W	#2,SP
;	TST.W	lbW0099A0-WT(A4)
;	BEQ.S	lbC00307C
;	MOVEQ	#-12,D0
;	ADD.W	lbW0099A0-WT(A4),D0
;	MOVE.L	D0,D1
;	LSL.W	#2,D1
;	SUB.W	D0,D1
;	LEA	lbW007AF8-WT(A4),A0
;	ADDA.W	D1,A0
;	MOVEA.L	A0,A3
;	MOVEQ	#0,D0
;	MOVE.L	D0,D7
;	MOVE.W	D0,lbW0099A0-WT(A4)
;lbC00305C	MOVEQ	#3,D0
;	CMP.W	D0,D7
;	BGE.S	lbC00307C
;	TST.B	(A3)
;	BEQ.S	lbC00307C
;	MOVEQ	#0,D0
;	MOVE.B	(A3),D0
;	ADD.W	lbW008D98-WT(A4),D0
;	MOVE.W	D0,-(SP)
;	BSR.L	lbC002FD8
;	ADDQ.W	#2,SP
;	ADDQ.W	#1,D7
;	ADDQ.L	#1,A3
;	BRA.S	lbC00305C

;lbC00307C	MOVEM.L	(SP)+,D7/A3
;	RTS

;lbC003082	MOVEM.L	D5-D7/A3,-(SP)
;	MOVE.W	$14(SP),D7
;	MOVE.W	$16(SP),D6
;	BSR.S	lbC00302C
;	MOVE.L	D7,D0
;	EXT.L	D0
;	ASL.L	#2,D0
;	LEA	lbL007ADC-WT(A4),A0
;	ADDA.L	D0,A0
;	ADDA.W	D6,A0
;	MOVEQ	#0,D0
;	MOVE.B	(A0),D0
;	MOVE.W	D0,lbW0099A0-WT(A4)
;	SUBI.W	#12,D0
;	MOVE.L	D0,D1
;	LSL.W	#2,D1
;	SUB.W	D0,D1
;	LEA	lbW007AF8-WT(A4),A0
;	ADDA.W	D1,A0
;	MOVEA.L	A0,A3
;	MOVEQ	#0,D5
;lbC0030BA	MOVEQ	#3,D0
;	CMP.W	D0,D5
;	BGE.S	lbC0030DA
;	TST.B	(A3)
;	BEQ.S	lbC0030DA
;	MOVEQ	#0,D0
;	MOVE.B	(A3),D0
;	ADD.W	lbW008D98-WT(A4),D0
;	MOVE.W	D0,-(SP)
;	BSR.L	lbC002F5C
;	ADDQ.W	#2,SP
;	ADDQ.W	#1,D5
;	ADDQ.L	#1,A3
;	BRA.S	lbC0030BA

;lbC0030DA	MOVEM.L	(SP)+,D5-D7/A3
;	RTS

;	MOVEM.L	D6/D7,-(SP)
;	MOVE.W	12(SP),D7
;	MOVE.W	14(SP),D6
;	MOVEQ	#-1,D0
;	CMP.W	D0,D7
;	BEQ.S	lbC0030FA
;	MOVE.W	D6,-(SP)
;	MOVE.W	D7,-(SP)
;	BSR.S	lbC003082
;	ADDQ.W	#4,SP
;lbC0030FA	MOVE.W	lbW0099A0-WT(A4),-(SP)
;	JSR	lbC002CF4(PC)
;	ADDQ.W	#2,SP
;	MOVEM.L	(SP)+,D6/D7
;	RTS

;	dc.w	0
;	dc.w	0
;	dc.w	0
;	dc.w	0

;lbC003112	JMP	lbC005C08

;lbC003118	JMP	lbC005BFE

;	MOVEQ	#$61,D0
lbC003120	MOVEM.L	D7/A2/A3,-(SP)
	MOVE.W	$10(SP),D7
	MOVE.L	D7,D0
	EXT.L	D0
	ASL.L	#5,D0
	LEA	lbW0099A4-WT(A4),A0
	ADDA.L	D0,A0
	MOVEA.L	A0,A2
	TST.W	(A2)
	BEQ.L	lbC0032EA
	SUBQ.W	#1,(A2)
	BGT.L	lbC003298
	MOVE.L	$18(A2),D0
	ADD.L	D0,D0
	MOVEA.L	$14(A2),A0
	ADDA.L	D0,A0
	MOVEA.L	A0,A3
lbC003150	MOVE.W	(A3),D0
	TST.W	D0
	BPL.L	lbC00326E
	MOVEA.L	A3,A0
	ADDQ.L	#2,A3
	MOVE.W	(A0),D0
	SUBI.W	#$FFF5,D0
	BLT.S	lbC003150
	CMPI.W	#11,D0
	BGE.S	lbC003150
	ADD.W	D0,D0
	MOVE.W	lbW003174(PC,D0.W),D0
	JMP	lbW003176(PC,D0.W)

lbW003174	dc.w	lbC003194-lbW003176
lbW003176	dc.w	lbC003230-lbW003176
	dc.w	lbC003220-lbW003176
	dc.w	lbC00320E-lbW003176
	dc.w	lbC0031FE-lbW003176
	dc.w	lbC0031F2-lbW003176
	dc.w	lbC0031E6-lbW003176
	dc.w	lbC00318A-lbW003176
	dc.w	lbC003150-lbW003176
	dc.w	lbC0031D8-lbW003176
	dc.w	lbC00324E-lbW003176

lbC00318A	ADDQ.L	#2,$18(A2)
	MOVE.W	(A3)+,2(A2)
	BRA.S	lbC003150

lbC003194	TST.W	$12(A2)
	BNE.S	lbC0031AA
	MOVE.W	(A3),D0
	MOVE.W	D0,$12(A2)
	MOVE.L	$1C(A2),D1
	MOVE.L	D1,$18(A2)
	BRA.S	lbC0031C6

lbC0031AA	SUBQ.W	#1,$12(A2)
	BNE.S	lbC0031BE
	ADDQ.L	#2,$18(A2)
	MOVE.L	$18(A2),D0
	MOVE.L	D0,$1C(A2)
	BRA.S	lbC0031C6

lbC0031BE	MOVE.L	$1C(A2),D0
	MOVE.L	D0,$18(A2)
lbC0031C6	MOVE.L	$18(A2),D0
	ADD.L	D0,D0
	MOVEA.L	$14(A2),A0
	ADDA.L	D0,A0
	MOVEA.L	A0,A3
	BRA.L	lbC003150

lbC0031D8	ADDQ.L	#1,$18(A2)
	MOVE.L	$18(A2),$1C(A2)
	BRA.L	lbC003150

lbC0031E6	ADDQ.L	#2,$18(A2)
	MOVE.W	(A3)+,6(A2)
	BRA.L	lbC003150

lbC0031F2	ADDQ.L	#1,$18(A2)
	CLR.W	6(A2)
	BRA.L	lbC003150

lbC0031FE	ADDQ.L	#3,$18(A2)
	MOVE.W	(A3)+,12(A2)
	MOVE.W	(A3)+,$10(A2)
	BRA.L	lbC003150

lbC00320E	ADDQ.L	#1,$18(A2)
	MOVEQ	#0,D0
	MOVE.W	D0,12(A2)
	MOVE.W	D0,14(A2)
	BRA.L	lbC003150

lbC003220	ADDQ.L	#2,$18(A2)
	MOVE.W	(A3),10(A2)
	MOVE.W	(A3)+,8(A2)
	BRA.L	lbC003150

lbC003230	MOVEQ	#0,D0
	MOVE.W	D0,(A2)
	MOVE.W	D0,8(A2)
	MOVE.W	D0,12(A2)
	MOVE.W	D7,-(SP)
	MOVE.W	D0,-(SP)
	MOVEQ	#-1,D1
	MOVE.W	D1,-(SP)
	JSR	lbC002740(PC)
	ADDQ.W	#6,SP
	BRA.L	lbC0032EA

lbC00324E	MOVEQ	#-1,D0
	MOVE.W	D0,4(A2)
	MOVE.W	(A3)+,(A2)
	MOVEQ	#0,D1
	MOVE.W	D1,12(A2)
	ADDQ.L	#2,$18(A2)
	MOVE.W	D7,-(SP)
	MOVE.W	D1,-(SP)
	MOVE.W	D0,-(SP)
	JSR	lbC002740(PC)
	ADDQ.W	#6,SP
	BRA.S	lbC0032EA

lbC00326E	MOVE.W	(A3)+,D0
	MOVE.W	D0,4(A2)
	MOVE.W	(A3),(A2)
	MOVE.W	10(A2),D0
	MOVE.W	D0,8(A2)
	ADDQ.L	#2,$18(A2)
	MOVE.W	D7,-(SP)
	MOVE.W	8(A2),-(SP)
	MOVE.W	4(A2),-(SP)
	MOVE.W	2(A2),-(SP)
	JSR	lbC002786(PC)
	ADDQ.W	#8,SP
	BRA.S	lbC0032EA

lbC003298	MOVE.W	4(A2),D0
	MOVEQ	#-1,D1
	CMP.W	D1,D0
	BEQ.S	lbC0032EA
	MOVE.W	6(A2),D0
	ADD.W	D0,4(A2)
	CMPI.W	#$7C,4(A2)
	BGE.S	lbC0032B8
	MOVEQ	#$7C,D0
	MOVE.W	D0,4(A2)
lbC0032B8	TST.W	$10(A2)
	BEQ.S	lbC0032DA
	SUBQ.W	#1,14(A2)
	BGT.S	lbC0032DA
	MOVE.W	$10(A2),14(A2)
	MOVE.W	12(A2),D0
	ADD.W	D0,8(A2)
	BGT.S	lbC0032DA
	MOVEQ	#0,D0
	MOVE.W	D0,8(A2)
lbC0032DA	MOVE.W	D7,-(SP)
	MOVE.W	8(A2),-(SP)
	MOVE.W	4(A2),-(SP)
	JSR	lbC002740(PC)
	ADDQ.W	#6,SP
lbC0032EA	MOVEM.L	(SP)+,D7/A2/A3
	RTS

;lbC0032F0	MOVEQ	#0,D0
;	MOVE.W	D0,lbW007B18-WT(A4)
;	MOVE.W	D0,-(SP)
;	MOVE.W	D0,-(SP)
;	MOVEQ	#$7C,D1
;	MOVE.W	D1,-(SP)
;	JSR	lbC002740(PC)
;	MOVEQ	#1,D0
;	MOVE.W	D0,(SP)
;	CLR.W	-(SP)
;	MOVEQ	#$7C,D1
;	MOVE.W	D1,-(SP)
;	JSR	lbC002740(PC)
;	MOVEQ	#3,D0
;	MOVE.W	D0,(SP)
;	CLR.W	-(SP)
;	MOVEQ	#$7C,D1
;	MOVE.W	D1,-(SP)
;	JSR	lbC002740(PC)
;	MOVEQ	#2,D0
;	MOVE.W	D0,(SP)
;	CLR.W	-(SP)
;	MOVEQ	#$7C,D1
;	MOVE.W	D1,-(SP)
;	JSR	lbC002740(PC)
;	LEA	$12(SP),SP
;	RTS

;lbC003332	MOVE.W	#$FFFF,lbW007B18-WT(A4)
;	RTS

lbC00333A
;	MOVEM.L	D6/D7/A3,-(SP)
;	LEA	lbW0099A4-WT(A4),A3
;	MOVE.W	lbW0098D2-WT(A4),D0
;	MOVEQ	#-1,D1
;	CMP.W	D1,D0
;	BEQ.L	lbC0033D0
;	TST.W	lbW00999C-WT(A4)
;	BEQ.S	lbC0033D0
;	MOVE.L	D0,D1
;	TST.W	D1
;	BPL.S	lbC00335C
;	ADDQ.W	#1,D1
;lbC00335C	ASR.W	#1,D1
;	MOVE.L	D1,D7
;	ADDI.W	#$F0,D7
;	MOVE.L	D0,D1
;	ASR.W	#2,D1
;	SUBI.W	#$3F,D1
;	BGE.S	lbC003372
;	NEG.W	D1
;	BRA.S	lbC00337A

;lbC003372	ASR.W	#2,D0
;	SUBI.W	#$3F,D0
;	MOVE.L	D0,D1
;lbC00337A	MOVE.L	D1,D6
;	MOVEQ	#10,D0
;	CMP.W	D0,D6
;	BGE.S	lbC003384
;	MOVE.L	D0,D6
;lbC003384	TST.W	(A3)
;	BNE.S	lbC0033A8
;	CLR.W	-(SP)
;	PEA	lbL007B1C-WT(A4)
;	BSR.L	lbC003478
;	MOVE.W	#$41,(A3)
;	CLR.W	(SP)
;	BSR.L	lbC003120
;	MOVE.W	D6,(SP)
;	MOVE.W	D7,-(SP)
;	JSR	lbC00286E(PC)
;	ADDQ.W	#8,SP
;	BRA.S	lbC0033D8

;lbC0033A8	SUBQ.W	#1,(A3)
;	BNE.S	lbC0033C2
;	MOVE.W	D6,-(SP)
;	MOVE.W	D7,-(SP)
;	JSR	lbC00286E(PC)
;	ADDQ.W	#4,SP
;	MOVEQ	#$3F,D0
;	AND.W	lbW009A24-WT(A4),D0
;	ADDQ.W	#3,D0
;	MOVE.W	D0,(A3)
;	BRA.S	lbC0033D8

;lbC0033C2	CLR.W	-(SP)
;	MOVE.W	D6,-(SP)
;	MOVE.W	D7,-(SP)
;	JSR	lbC002740(PC)
;	ADDQ.W	#6,SP
;	BRA.S	lbC0033D8

lbC0033D0	CLR.W	-(SP)
	BSR.L	lbC003120
	ADDQ.W	#2,SP
;lbC0033D8	MOVEM.L	(SP)+,D6/D7/A3
	RTS

Play
lbC0033DE	TST.W	lbW0098B0-WT(A4)
	BEQ.S	lbC003418
	ADDI.W	#$4296,lbW009A24-WT(A4)
	TST.W	lbW007B18-WT(A4)
	BEQ.S	lbC003418
	CLR.W	lbW007B18-WT(A4)
	BSR.L	lbC00333A
	MOVEQ	#1,D0
	MOVE.W	D0,-(SP)
	BSR.L	lbC003120
	MOVEQ	#3,D0
	MOVE.W	D0,-(SP)
	BSR.L	lbC003120
	MOVEQ	#2,D0
	MOVE.W	D0,(SP)
	BSR.L	lbC003120
	ADDQ.W	#4,SP
	MOVE.W	#$FFFF,lbW007B18-WT(A4)
lbC003418	RTS

Init_1
lbC00341A	MOVE.L	D7,-(SP)
	MOVE.W	lbW007B18-WT(A4),D7
	MOVEQ	#0,D0
	MOVE.W	D0,lbW007B18-WT(A4)
	MOVE.W	D0,lbW0099A4-WT(A4)
	MOVE.W	D0,lbW0099C4-WT(A4)
	MOVE.W	D0,lbW0099E4-WT(A4)
	MOVE.W	D0,lbW009A04-WT(A4)
	MOVE.W	D0,-(SP)
	MOVE.W	D0,-(SP)
	MOVEQ	#$7C,D1
	MOVE.W	D1,-(SP)
	JSR	lbC002740(PC)
	MOVEQ	#1,D0
	MOVE.W	D0,(SP)
	CLR.W	-(SP)
	MOVEQ	#$7C,D1
	MOVE.W	D1,-(SP)
	JSR	lbC002740(PC)
	MOVEQ	#3,D0
	MOVE.W	D0,(SP)
	CLR.W	-(SP)
	MOVEQ	#$7C,D1
	MOVE.W	D1,-(SP)
	JSR	lbC002740(PC)
	MOVEQ	#2,D0
	MOVE.W	D0,(SP)
	CLR.W	-(SP)
	MOVEQ	#$7C,D1
	MOVE.W	D1,-(SP)
	JSR	lbC002740(PC)
	LEA	$12(SP),SP
	MOVE.W	D7,lbW007B18-WT(A4)
	MOVE.L	(SP)+,D7
	RTS

lbC003478	MOVEM.L	D7/A2/A3,-(SP)
	MOVEA.L	$10(SP),A3
	MOVE.W	$14(SP),D7
	MOVE.L	D7,D0
	EXT.L	D0
	ASL.L	#5,D0
	LEA	lbW0099A4-WT(A4),A0
	ADDA.L	D0,A0
	MOVEA.L	A0,A2
	MOVE.L	A3,$14(A2)
	MOVEQ	#0,D0
	MOVE.L	D0,$18(A2)
	MOVE.L	D0,$1C(A2)
	MOVEQ	#0,D0
	MOVE.W	D0,$12(A2)
	MOVE.W	D0,6(A2)
	MOVE.W	D0,12(A2)
	MOVE.W	D0,$10(A2)
	MOVE.W	#1,(A2)
	MOVEM.L	(SP)+,D7/A2/A3
	RTS


lbC004FB4	MOVEM.L	A3/A6,-(SP)
	MOVEA.L	12(SP),A3
	TST.L	10(A3)
	BEQ.S	lbC004FCC
	MOVEA.L	A3,A1
;	MOVEA.L	4,A6

	move.l	ExecBase(PC),A6

	JSR	-$168(A6)
lbC004FCC	MOVE.B	#$FF,8(A3)
	MOVEQ	#-1,D0
	MOVE.L	D0,$14(A3)
	MOVEQ	#0,D0
	MOVE.B	15(A3),D0
;	MOVEA.L	4,A6

	move.l	ExecBase(PC),A6

	JSR	-$150(A6)
;	MOVEA.L	A3,A1
;	MOVEQ	#$22,D0
;	JSR	-$D2(A6)
	MOVEM.L	(SP)+,A3/A6
	RTS


lbC0050F8	MOVEM.L	D6/D7/A2/A3/A6,-(SP)
	MOVEA.L	$18(SP),A3
	MOVE.L	$1C(SP),D7
	MOVEQ	#-1,D0
;	MOVEA.L	4,A6

	move.l	ExecBase(PC),A6

	JSR	-$14A(A6)
	MOVE.L	D0,D6
	CMPI.B	#$FF,D6
	BNE.S	lbC00511A
	MOVEQ	#0,D0
	BRA.S	lbC005180

lbC00511A
;	MOVEQ	#$22,D0
;	MOVE.L	#$10001,D1
;	JSR	-$C6(A6)
;	MOVEA.L	D0,A2
;	MOVE.L	A2,D0
;	BNE.S	lbC005136
;	MOVEQ	#0,D0
;	MOVE.B	D6,D0
;	JSR	-$150(A6)
;	BRA.S	lbC00517E

lbC005136	MOVE.L	A3,10(A2)
	MOVE.L	D7,D0
	MOVE.B	D0,9(A2)
	MOVE.B	#4,8(A2)
	CLR.B	14(A2)
	MOVE.B	D6,15(A2)
	SUBA.L	A1,A1
	JSR	-$126(A6)
	MOVE.L	D0,$10(A2)
	MOVE.L	A3,D0
	BEQ.S	lbC005164
	MOVEA.L	A2,A1
	JSR	-$162(A6)
	BRA.S	lbC00517E

lbC005164	LEA	$18(A2),A0
	MOVE.L	A0,$14(A2)
	LEA	$14(A2),A0
	MOVE.L	A0,$1C(A2)
	CLR.L	$18(A2)
	MOVE.B	#2,$20(A2)
lbC00517E	MOVE.L	A2,D0
lbC005180	MOVEM.L	(SP)+,D6/D7/A2/A3/A6
	RTS


lbC005AC4	MOVEA.L	4(SP),A1
	MOVE.L	A6,-(SP)
	MOVEA.L	$14(A1),A6
	JSR	-$1E(A6)
	MOVEA.L	(SP)+,A6
	RTS

WT
lbL005FF0	dc.l	$FFFC000E
	dc.l	$FFF70021
	dc.l	$FF001E
	dc.l	$FFF7000D
	dc.l	$FF0091
	dc.l	$FFFC0010
	dc.l	$FFF7000D
	dc.l	$1600019
	dc.l	$FFF7002B
	dc.l	$16000C3
lbL006018	dc.l	$FFFC000F
	dc.l	$FFFF000A
	dc.l	$FFF70017
	dc.l	$1400023
	dc.l	$FFF7000D
	dc.l	$1400023
	dc.l	$FFF70003
	dc.l	$14000B4
	dc.l	$FFF70003
	dc.l	$160002D
	dc.l	$FFF7000D
	dc.l	$16000A0
	dc.l	$FFF70017
	dc.l	$160002D
	dc.l	$FFF70021
	dc.l	$1600078
lbL006058	dc.l	$FFFC0010
	dc.l	$FFFF0014
	dc.l	$FFF7000D
	dc.l	$1400014
	dc.l	$FFF70008
	dc.l	$1400014
	dc.l	$FFF70003
	dc.l	$1400046
	dc.l	$FFFC000E
	dc.l	$FFF70003
	dc.l	$140000F
	dc.l	$FFF7000D
	dc.l	$140005F
	dc.l	$FFF70017
	dc.l	$140000F
	dc.l	$FFF70021
	dc.l	$1400091
	dc.l	$FFFC000F
	dc.l	$FFF7002B
	dc.l	$2000028
	dc.l	$FFF70017
	dc.l	$200003C
	dc.l	$FFF7000D
	dc.l	$2000028
	dc.l	$FFF50064
	dc.w	$FFF6
lbL0060BE	dc.l	$FFFC000E
	dc.l	$FFF7000D
	dc.l	$FF001E
	dc.l	$FFF70021
	dc.l	$FF0091
	dc.l	$FFFC0010
	dc.l	$FFF7002B
	dc.l	$1600019
	dc.l	$FFF7000D
	dc.l	$16000C3
lbL0060E6	dc.l	$FFFC000F
	dc.l	$FFFF000A
	dc.l	$FFF70003
	dc.l	$1400023
	dc.l	$FFF7000D
	dc.l	$1400023
	dc.l	$FFF70017
	dc.l	$14000B4
	dc.l	$FFF7002B
	dc.l	$160002D
	dc.l	$FFF70021
	dc.l	$16000A0
	dc.l	$FFF70017
	dc.l	$160002D
	dc.l	$FFF7000D
	dc.l	$1600078
lbL006126	dc.l	$FFFC0010
	dc.l	$FFFF0014
	dc.l	$FFF70003
	dc.l	$1400014
	dc.l	$FFF70008
	dc.l	$1400014
	dc.l	$FFF7000D
	dc.l	$1400046
	dc.l	$FFFC000E
	dc.l	$FFF70021
	dc.l	$140000F
	dc.l	$FFF70017
	dc.l	$140005F
	dc.l	$FFF7000D
	dc.l	$140000F
	dc.l	$FFF70003
	dc.l	$1400091
	dc.l	$FFFC000F
	dc.l	$FFF7000D
	dc.l	$2000028
	dc.l	$FFF70017
	dc.l	$200003C
	dc.l	$FFF70021
	dc.l	$2000028
	dc.l	$FFF50064
	dc.w	$FFF6
lbL00618C	dc.l	$FFFC000E
	dc.l	$FFF7003F
	dc.l	$1600014
	dc.l	$FFF70035
	dc.l	$1600014
	dc.l	$FFF7002B
	dc.l	$1600014
	dc.l	$FFF70021
	dc.l	$1600014
	dc.l	$FFF70017
	dc.l	$1600014
	dc.l	$FFF7000D
	dc.l	$1600014
	dc.l	$FFF70003
	dc.l	$1600078
	dc.l	$FFF5000A
	dc.w	$FFF6
lbL0061CE	dc.l	$FFFC000E
	dc.l	$FFF70003
	dc.l	$1600014
	dc.l	$FFF7000D
	dc.l	$1600014
	dc.l	$FFF70017
	dc.l	$1600014
	dc.l	$FFF70021
	dc.l	$1600014
	dc.l	$FFF7002B
	dc.l	$1600014
	dc.l	$FFF70035
	dc.l	$1600014
	dc.l	$FFF7003F
	dc.l	$1600078
	dc.l	$FFF5000A
	dc.w	$FFF6
lbL006210	dc.l	$FFFC000F
	dc.l	$FFF7003F
	dc.l	$160001E
	dc.l	$FFF7002B
	dc.l	$160001E
	dc.l	$FFF70017
	dc.l	$160001E
	dc.l	$FFF70003
	dc.l	$16000C8
	dc.l	$FFF70017
	dc.l	$160001E
	dc.l	$FFF7002B
	dc.l	$160001E
	dc.l	$FFF7003F
	dc.l	$160001E
	dc.l	$FFF5000A
	dc.w	$FFF6
lbL006252	dc.l	$FFFC000F
	dc.l	$FFF70003
	dc.l	$160001E
	dc.l	$FFF70017
	dc.l	$160001E
	dc.l	$FFF7002B
	dc.l	$160001E
	dc.l	$FFF7003F
	dc.l	$16000C8
	dc.l	$FFF70035
	dc.l	$160001E
	dc.l	$FFF70021
	dc.l	$160001E
	dc.l	$FFF70003
	dc.l	$160001E
	dc.l	$FFF5000A
	dc.w	$FFF6
lbL006294	dc.l	$FFFC0010
	dc.l	$FFF7003F
	dc.l	$1600028
	dc.l	$FFF7003F
	dc.l	$160006E
	dc.l	$FFF70003
	dc.l	$1600028
	dc.l	$FFF70003
	dc.l	$16000F0
	dc.l	$FFF5000A
	dc.w	$FFF6
lbL0062BE	dc.l	$FFFC0010
	dc.l	$FFF7002B
	dc.l	$1600028
	dc.l	$FFF7002B
	dc.l	$160006E
	dc.l	$FFF7000D
	dc.l	$1600028
	dc.l	$FFF7000D
	dc.l	$16000F0
	dc.l	$FFF5000A
	dc.w	$FFF6
lbL0062E8	dc.l	$FFFC0011
	dc.l	$FFFF0014
lbL0062F0	dc.l	$FFFC0011
	dc.l	$FFF70001
	dc.l	$FFF90001
	dc.l	$80160
	dc.l	$78FFF7
	dc.l	$EFFFE
	dc.l	$FFF80160
	dc.l	$C8FFF7
	dc.l	$1CFFF5
	dc.l	$12CFFF9
	dc.l	$FFFF0004
	dc.l	$1600078
	dc.w	$FFF6
lbL006322	dc.l	$FFFC0012
	dc.l	$FFF70001
	dc.l	$FFF90001
	dc.l	$30160
	dc.l	$BAFFF7
	dc.l	$3FFFF9
	dc.l	$FFFF0003
	dc.l	$16000FF
	dc.l	$FFF5000A
	dc.w	$FFF6
lbL006348	dc.l	$FFFC0012
	dc.l	$FFF7003F
	dc.l	$FFF9FFFF
	dc.l	$30160
	dc.l	$BAFFF7
	dc.l	$1FFF9
	dc.l	$10003
	dc.l	$16000FF
	dc.l	$FFF5000A
	dc.w	$FFF6
lbL00636E	dc.l	$FFFC0003
	dc.l	$FFF9FFF5
	dc.l	$1FFFB
	dc.l	$C8FFF7
	dc.l	$3F007D
	dc.l	$5FFF6
lbL006386	dc.l	$FFFC0001
	dc.l	$FFF9FFF5
	dc.l	$1FFF7
	dc.l	$3F007C
	dc.l	$5FFF6
lbL00639A	dc.l	$FFFC0003
	dc.l	$FFF9FFFF
	dc.l	$1FFF7
	dc.l	$3A0258
	dc.l	$3AFFF6
lbL0063AE	dc.l	$FFFC0000
	dc.l	$FFF7002B
	dc.l	$FFF9FFFE
	dc.l	$10320
	dc.l	$FFFF7
	dc.l	$FFFF9
	dc.l	$FFFF0002
	dc.l	$7C002D
	dc.w	$FFF6
lbL0063D0	dc.l	$FFFC0000
	dc.l	$FFF9FFFF
	dc.l	$3FFF7
	dc.l	$28012C
	dc.l	$78FFF6
lbL0063E4	dc.l	$FFFC0000
	dc.l	$FFF9FFFF
	dc.l	$3FFF7
	dc.l	$3A0258
	dc.l	$AEFFF6
lbL0063F8	dc.l	$FFFC0013
	dc.l	$FFF9FFFC
	dc.l	$1FFFB
	dc.l	$14FFF7
	dc.l	$3701D5
	dc.l	$CFFF6
lbL006410	dc.l	$FFFC0013
	dc.l	$FFF9FFFC
	dc.l	$1FFFB
	dc.l	$14FFF7
	dc.l	$3F0171
	dc.l	$10FFF6
lbL006428	dc.l	$FFFC0000
	dc.l	$FFF9FFFE
	dc.l	$1FFF7
	dc.l	$2C0096
	dc.l	$16FFF6
lbL00643C	dc.l	$FFFC0000
	dc.l	$FFF9FFFE
	dc.l	$1FFF7
	dc.l	$34012C
	dc.l	$1AFFF6
lbL006450	dc.l	$FFFC0004
	dc.l	$FFF70023
	dc.l	$FFF9FFFF
	dc.l	$100BE
	dc.l	$1C00BE
	dc.l	$2A00BE
	dc.l	$E00B4
	dc.l	$E00A0
	dc.l	$E008E
	dc.l	$E00B4
	dc.l	$E00A0
	dc.l	$E00BE
	dc.l	$E00D6
	dc.l	$1C00A0
	dc.l	$2AFFFE
	dc.l	$B4000E
	dc.l	$BE000E
	dc.l	$D6000E
	dc.l	$FFF50001
	dc.l	$F0000E
	dc.l	$8E001C
	dc.l	$8E0038
	dc.l	$D6000E
	dc.l	$BE000E
	dc.l	$B4000E
	dc.l	$D6000E
	dc.l	$BE000E
	dc.l	$F0000E
	dc.l	$FE000E
	dc.l	$8E000E
	dc.l	$97000E
	dc.l	$A9000E
	dc.l	$BE000E
	dc.l	$D6000E
	dc.l	$F0000E
	dc.l	$FE000E
	dc.l	$D60012
	dc.l	$F00012
	dc.l	$FE0012
	dc.l	$11C005A
	dc.w	$FFF6
lbL0064F2	dc.l	$FFFC0004
	dc.l	$FFF70023
	dc.l	$FFF9FFFF
	dc.l	$100F0
	dc.l	$1C00F0
	dc.l	$3800D6
	dc.l	$1C00F0
	dc.l	$2A00F0
	dc.l	$E00FE
	dc.l	$1C00FE
	dc.l	$380140
	dc.l	$1C00F0
	dc.l	$1C0140
	dc.l	$1C00F0
	dc.l	$1C00F0
	dc.l	$3800D6
	dc.l	$1C00FE
	dc.l	$1C00F0
	dc.l	$1C00FE
	dc.l	$1C00FE
	dc.l	$38012E
	dc.l	$1C017C
	dc.l	$90FFF6
lbL00654E	dc.l	$FFFC0004
	dc.l	$FFF70023
	dc.l	$FFF9FFFF
	dc.l	$10238
	dc.l	$1C011C
	dc.l	$1C0140
	dc.l	$1C0168
	dc.l	$1C017C
	dc.l	$E01AC
	dc.l	$E017C
	dc.l	$E0168
	dc.l	$E0140
	dc.l	$1C0140
	dc.l	$E0168
	dc.l	$E017C
	dc.l	$E01AC
	dc.l	$E01E0
	dc.l	$1C01AC
	dc.l	$1C017C
	dc.l	$1C0168
	dc.l	$E01E0
	dc.l	$E0168
	dc.l	$E017C
	dc.l	$E01AC
	dc.l	$E01E0
	dc.l	$E01FC
	dc.l	$E01E0
	dc.l	$E01AC
	dc.l	$E01FC
	dc.l	$E01E0
	dc.l	$E01AC
	dc.l	$E017C
	dc.l	$1C017C
	dc.l	$1C00BE
	dc.l	$1C017C
	dc.l	$1C011C
	dc.l	$90FFF6
lbL0065E2	dc.l	$FFFC0005
	dc.l	$FFF70028
	dc.l	$FFF9FFFF
	dc.l	$100FE
	dc.l	$E010C
	dc.l	$E00FE
	dc.l	$1C01FC
	dc.l	$1C01FC
	dc.l	$54011C
	dc.l	$E012E
	dc.l	$E011C
	dc.l	$1C0238
	dc.l	$1C0238
	dc.l	$540140
	dc.l	$E0152
	dc.l	$E0140
	dc.l	$1C0280
	dc.l	$1C0280
	dc.l	$540152
	dc.l	$E0168
	dc.l	$E0152
	dc.l	$1C02A4
	dc.l	$1C02A4
	dc.l	$1C01FC
	dc.l	$90FFF6
lbL006646	dc.l	$FFFC000C
	dc.l	$FFF70037
	dc.l	$FFFF0010
	dc.l	$FFF9FFFF
	dc.l	$10097
	dc.l	$8008E
	dc.l	$8007F
	dc.l	$1000D6
	dc.l	$1000E2
	dc.l	$1000A9
	dc.l	$80097
	dc.l	$8008E
	dc.l	$1000E2
	dc.l	$1000FE
	dc.l	$1000BE
	dc.l	$800A9
	dc.l	$80097
	dc.l	$1000FE
	dc.l	$10011C
	dc.l	$80097
	dc.l	$800A9
	dc.l	$900BE
	dc.l	$900C8
	dc.l	$3600BE
	dc.l	$B0FFF6
lbL0066AA	dc.l	$FFFC000C
	dc.l	$FFF70037
	dc.l	$FFF9FFFF
	dc.l	$1017C
	dc.l	$80190
	dc.l	$8017C
	dc.l	$80152
	dc.l	$8012E
	dc.l	$8011C
	dc.l	$8012E
	dc.l	$80152
	dc.l	$80168
	dc.l	$801C4
	dc.l	$80190
	dc.l	$80168
	dc.l	$80152
	dc.l	$8012E
	dc.l	$80152
	dc.l	$8017C
	dc.l	$80190
	dc.l	$801FC
	dc.l	$801C4
	dc.l	$80190
	dc.l	$8017C
	dc.l	$80152
	dc.l	$8017C
	dc.l	$80190
	dc.l	$801C4
	dc.l	$10011C
	dc.l	$1200FE
	dc.l	$1601FC
	dc.l	$16017C
	dc.l	$BAFFF6
lbL00672E	dc.l	$FFFC000C
	dc.l	$FFF70037
	dc.l	$FFFF0010
	dc.l	$FFF9FFFF
	dc.l	$201FC
	dc.l	$500238
	dc.l	$40025C
	dc.l	$2800FE
	dc.l	$8011C
	dc.l	$9012E
	dc.l	$90152
	dc.l	$B00E2
	dc.l	$B00FE
	dc.l	$B011C
	dc.l	$10012E
	dc.l	$B5FFF6
lbL00676E	dc.l	$FFFC0004
	dc.l	$FFF70023
	dc.l	$FFF9FFFE
	dc.l	$1011C
	dc.l	$900E2
	dc.l	$9FFFE
	dc.l	$BE0009
	dc.l	$E20009
	dc.l	$11C0009
	dc.l	$FFF50001
	dc.l	$8E0009
	dc.l	$970003
	dc.l	$8E0003
	dc.l	$97000C
	dc.l	$FFFE00BE
	dc.l	$9007F
	dc.l	$90097
	dc.l	$9FFF5
	dc.l	$100BE
	dc.l	$9008E
	dc.l	$900BE
	dc.l	$900E2
	dc.l	$9FFFE
	dc.l	$A00009
	dc.l	$BE0009
	dc.l	$E20009
	dc.l	$FFF50001
	dc.l	$A90009
	dc.l	$D60009
	dc.l	$FE0009
	dc.l	$12E0009
	dc.l	$FE0009
	dc.l	$D60009
	dc.l	$A90009
	dc.l	$BE0009
	dc.l	$D60009
	dc.l	$BE0009
	dc.l	$E20009
	dc.l	$11C0009
	dc.l	$1520009
	dc.l	$11C0009
	dc.l	$E20009
	dc.l	$BE0009
	dc.l	$D60009
	dc.l	$E20009
	dc.l	$D60009
	dc.l	$FE0009
	dc.l	$12E0009
	dc.l	$17C0009
	dc.l	$12E0009
	dc.l	$FE0009
	dc.l	$D6000A
	dc.l	$E2000B
	dc.l	$FE000C
	dc.l	$E20005
	dc.l	$FE000B
	dc.l	$E20042
	dc.w	$FFF6
lbL006854	dc.l	$FFFC0004
	dc.l	$FFF7001E
	dc.l	$FFFF0051
	dc.l	$FFF9FFFE
	dc.l	$102F8
	dc.l	$9025C
	dc.l	$9FFFE
	dc.l	$1FC0009
	dc.l	$25C0009
	dc.l	$2F80009
	dc.l	$FFF50001
	dc.l	$1AC0009
	dc.l	$1C40003
	dc.l	$1AC0003
	dc.l	$1C4000C
	dc.l	$FFFE0238
	dc.l	$9017C
	dc.l	$901C4
	dc.l	$9FFF5
	dc.l	$10238
	dc.l	$901AC
	dc.l	$90152
	dc.l	$9FFFE
	dc.l	$1AC0009
	dc.l	$1FC0009
	dc.l	$FFF50001
	dc.l	$25C0009
	dc.l	$2380009
	dc.l	$1FC0009
	dc.l	$1C40009
	dc.l	$17C0009
	dc.l	$FFFE0388
	dc.l	$90238
	dc.l	$9FFF5
	dc.l	$102A4
	dc.l	$9025C
	dc.l	$90238
	dc.l	$901FC
	dc.l	$901AC
	dc.l	$9FFFE
	dc.l	$1FC0009
	dc.l	$25C0009
	dc.l	$FFF50001
	dc.l	$2F8000A
	dc.l	$2A4000B
	dc.l	$25C000C
	dc.l	$2380005
	dc.l	$25C0008
	dc.l	$2380045
	dc.w	$FFF6
lbL00691A	dc.l	$FFFC0005
	dc.l	$FFF70032
	dc.l	$FFFF00A2
	dc.l	$FFF9FFFF
	dc.l	$400FE
	dc.l	$29010C
	dc.l	$D01FC
	dc.l	$3600FE
	dc.l	$1B010C
	dc.l	$1B00FE
	dc.l	$29010C
	dc.l	$D01FC
	dc.l	$3601FC
	dc.l	$1B0218
	dc.l	$2B01FC
	dc.l	$60FFF6
lbL00695A	dc.l	$FFFC0008
	dc.l	$FFF70028
	dc.l	$FFFF00A0
	dc.l	$FFF9FFFF
	dc.l	$1011C
	dc.l	$2800D6
	dc.l	$500E2
	dc.l	$500D6
	dc.l	$32FFFE
	dc.l	$E2000A
	dc.l	$FE000A
	dc.l	$FFF50001
	dc.l	$11C000A
	dc.l	$12E000A
	dc.l	$11C0032
	dc.l	$140000A
	dc.l	$152000A
	dc.l	$17C000A
	dc.l	$1520032
	dc.l	$17C000A
	dc.l	$1AC000A
	dc.l	$1C4000A
	dc.l	$1FC0032
	dc.l	$1AC000C
	dc.l	$1C4000C
	dc.l	$1FC000C
	dc.l	$1C40050
	dc.w	$FFF6
lbL0069C8	dc.l	$FFFC0008
	dc.l	$FFF70028
	dc.l	$FFF9FFFF
	dc.l	$101C4
	dc.l	$280152
	dc.l	$5017C
	dc.l	$50152
	dc.l	$32FFFE
	dc.l	$17C000A
	dc.l	$1AC000A
	dc.l	$FFF50001
	dc.l	$1C4000A
	dc.l	$1FC000A
	dc.l	$238003C
	dc.l	$FE0014
	dc.l	$12E0014
	dc.l	$17C0014
	dc.l	$FFFF0032
	dc.l	$FFF9FFFF
	dc.l	$1017C
	dc.l	$A01AC
	dc.l	$A0152
	dc.l	$A017C
	dc.l	$1401C4
	dc.l	$1E01FC
	dc.l	$A0238
	dc.l	$A01C4
	dc.l	$A01FC
	dc.l	$140238
	dc.l	$1E025C
	dc.l	$A02A4
	dc.l	$A0238
	dc.l	$A025C
	dc.l	$50238
	dc.l	$5025C
	dc.l	$260238
	dc.l	$50FFF6
lbL006A5C	dc.l	$FFFC0008
	dc.l	$FFF70028
	dc.l	$FFF9FFFF
	dc.l	$1011C
	dc.l	$14012E
	dc.l	$14011C
	dc.l	$14FFFE
	dc.l	$1520014
	dc.l	$12E0014
	dc.l	$FFF50001
	dc.l	$17C0014
	dc.l	$1520014
	dc.l	$FFF50001
	dc.l	$1AC0014
	dc.l	$17C0014
	dc.l	$2F80014
	dc.l	$17C000A
	dc.l	$1AC000A
	dc.l	$1C4000A
	dc.l	$1FC000A
	dc.l	$1C40014
	dc.l	$1FC0014
	dc.l	$1C40014
	dc.l	$2380014
	dc.l	$1AC0014
	dc.l	$1C40014
	dc.l	$1AC0014
	dc.l	$1FC0014
	dc.l	$17C0014
	dc.l	$1AC0014
	dc.l	$17C0018
	dc.l	$2F80018
	dc.l	$2380050
	dc.w	$FFF6
lbL006AE2	dc.l	$FFFC0005
	dc.l	$FFF7001E
	dc.l	$11C0028
	dc.l	$8E0028
	dc.l	$970028
	dc.l	$12E0028
	dc.l	$1520028
	dc.l	$A90028
	dc.l	$BE0028
	dc.l	$17C0028
	dc.l	$FFF70028
	dc.l	$FFFC0009
	dc.l	$E20028
	dc.l	$FE0028
	dc.l	$E20028
	dc.l	$11C0028
	dc.l	$FE0028
	dc.l	$12E0030
	dc.l	$11C0050
	dc.w	$FFF6
lbL006B30	dc.l	$FFFC0004
	dc.l	$FFF70023
	dc.l	$FFFF0010
	dc.l	$FFF9FFFF
	dc.l	$100E2
	dc.l	$10011C
	dc.l	$1000BE
	dc.l	$1000FE
	dc.l	$1000BE
	dc.l	$10008E
	dc.l	$400097
	dc.l	$10FFFF
	dc.l	$52FFF9
	dc.l	$FFFF0001
	dc.l	$1AC0010
	dc.l	$1520010
	dc.l	$1FC0010
	dc.l	$FE0014
	dc.l	$D6001F
	dc.l	$FE000C
	dc.l	$E20030
	dc.w	$FFF6
lbL006B86	dc.l	$FFFC0004
	dc.l	$FFF70022
	dc.l	$FFFF0040
	dc.l	$FFF9FFFF
	dc.l	$1017C
	dc.l	$10012E
	dc.l	$1001C4
	dc.l	$10011C
	dc.l	$1000D6
	dc.l	$1000E2
	dc.l	$8011C
	dc.l	$800FE
	dc.l	$10FFFF
	dc.l	$20FFF9
	dc.l	$FFFF0001
	dc.l	$11C0010
	dc.l	$E20010
	dc.l	$1520010
	dc.l	$FE0010
	dc.l	$11C0024
	dc.l	$12E000A
	dc.l	$152000A
	dc.l	$12E0014
	dc.l	$11C0048
	dc.w	$FFF6
lbL006BE8	dc.l	$FFFC0004
	dc.l	$FFF7001E
	dc.l	$FFF9FFFF
	dc.l	$10238
	dc.l	$30025C
	dc.l	$3002A4
	dc.l	$1001C4
	dc.l	$100238
	dc.l	$10017C
	dc.l	$1002F8
	dc.l	$10025C
	dc.l	$100388
	dc.l	$300358
	dc.l	$3002F8
	dc.l	$3C0238
	dc.l	$48FFF6
lbL006C28	dc.l	$FFFC0009
	dc.l	$FFF7003C
	dc.l	$FFF9FFFF
	dc.l	$4FFFE
	dc.l	$1AC0018
	dc.l	$238000C
	dc.l	$238000C
	dc.l	$238000C
	dc.l	$238000C
	dc.l	$2380018
	dc.l	$280000C
	dc.l	$2A4000C
	dc.l	$2F8000C
	dc.l	$358000C
	dc.l	$1AC000C
	dc.l	$17C000C
	dc.l	$1520018
	dc.l	$1520018
	dc.l	$1520048
	dc.l	$152000C
	dc.l	$140000C
	dc.l	$11C0018
	dc.l	$11C0018
	dc.l	$11C0030
	dc.l	$1AC0018
	dc.l	$1400018
	dc.l	$1520024
	dc.l	$140000C
	dc.l	$17C0048
	dc.l	$FFFC000B
	dc.l	$FFF70032
	dc.l	$FFF50001
	dc.l	$FFFC0009
	dc.l	$FFF7003C
	dc.l	$FFFE017C
	dc.l	$18017C
	dc.l	$C017C
	dc.l	$C017C
	dc.l	$C017C
	dc.l	$C017C
	dc.l	$18011C
	dc.l	$18017C
	dc.l	$180152
	dc.l	$1800FE
	dc.l	$18011C
	dc.l	$180140
	dc.l	$300152
	dc.l	$18017C
	dc.l	$18017C
	dc.l	$C017C
	dc.l	$C017C
	dc.l	$C017C
	dc.l	$C017C
	dc.l	$300140
	dc.l	$180152
	dc.l	$180140
	dc.l	$C0152
	dc.l	$C017C
	dc.l	$C0152
	dc.l	$C01AC
	dc.l	$48FFFC
	dc.l	$BFFF7
	dc.l	$28FFF5
	dc.l	$1FFF6
lbL006D28	dc.l	$FFFC0009
	dc.l	$FFF7003C
	dc.l	$FFF9FFFF
	dc.l	$4FFFE
	dc.l	$1520018
	dc.l	$152000C
	dc.l	$152000C
	dc.l	$152000C
	dc.l	$152000C
	dc.l	$1520018
	dc.l	$FFFF0030
	dc.l	$FFF9FFFF
	dc.l	$102A4
	dc.l	$C0238
	dc.l	$C01AC
	dc.l	$1801AC
	dc.l	$1801AC
	dc.l	$4801AC
	dc.l	$C017C
	dc.l	$C0152
	dc.l	$180152
	dc.l	$180152
	dc.l	$30FFFF
	dc.l	$18FFF9
	dc.l	$FFFF0001
	dc.l	$17C0018
	dc.l	$1AC0024
	dc.l	$17C000C
	dc.l	$2380048
	dc.l	$FFFC000B
	dc.l	$FFF70032
	dc.l	$FFF50001
	dc.l	$FFFC0009
	dc.l	$FFF7003C
	dc.l	$FFFE01C4
	dc.l	$1801C4
	dc.l	$C01C4
	dc.l	$C01C4
	dc.l	$C01C4
	dc.l	$C01C4
	dc.l	$4801AC
	dc.l	$180140
	dc.l	$180152
	dc.l	$18017C
	dc.l	$3001AC
	dc.l	$1801FC
	dc.l	$1801FC
	dc.l	$C01FC
	dc.l	$C01FC
	dc.l	$C01FC
	dc.l	$C01C4
	dc.l	$3001C4
	dc.l	$1801AC
	dc.l	$18017C
	dc.l	$C01AC
	dc.l	$C011C
	dc.l	$1801AC
	dc.l	$48FFFC
	dc.l	$BFFF7
	dc.l	$28FFF5
	dc.l	$1FFF6
lbL006E1C	dc.l	$FFFC0009
	dc.l	$FFF70032
	dc.l	$FFF9FFFF
	dc.l	$4FFFE
	dc.l	$1AC0048
	dc.l	$1AC0018
	dc.l	$1AC000C
	dc.l	$1AC000C
	dc.l	$1AC000C
	dc.l	$1AC000C
	dc.l	$1AC0018
	dc.l	$2380018
	dc.l	$2A40018
	dc.l	$3580018
	dc.l	$2A40018
	dc.l	$2380018
	dc.l	$1AC0048
	dc.l	$1AC0018
	dc.l	$1520018
	dc.l	$1FC0018
	dc.l	$17C0018
	dc.l	$1520018
	dc.l	$1AC0018
	dc.l	$2380048
	dc.l	$FFFC000B
	dc.l	$FFF70028
	dc.l	$FFF50001
	dc.l	$FFFC0009
	dc.l	$FFF70032
	dc.l	$FFFE0238
	dc.l	$480238
	dc.l	$180238
	dc.l	$C0238
	dc.l	$C0238
	dc.l	$C0238
	dc.l	$C01AC
	dc.l	$3001AC
	dc.l	$18017C
	dc.l	$1801C4
	dc.l	$1801AC
	dc.l	$180280
	dc.l	$300280
	dc.l	$180238
	dc.l	$180238
	dc.l	$C0238
	dc.l	$C0238
	dc.l	$C0238
	dc.l	$C01AC
	dc.l	$300238
	dc.l	$1801AC
	dc.l	$180238
	dc.l	$180358
	dc.l	$18FFFC
	dc.l	$BFFF7
	dc.l	$23FFF5
	dc.l	$1FFF6
lbL006EFC	dc.l	$FFFC000A
	dc.l	$FFF7001E
	dc.l	$FFF9FFFF
	dc.l	$2FFFE
	dc.l	$1AC001C
	dc.l	$238000C
	dc.l	$238000C
	dc.l	$238000C
	dc.l	$238000C
	dc.l	$2380018
	dc.l	$280000C
	dc.l	$2A4000C
	dc.l	$2F8000C
	dc.l	$358000C
	dc.l	$1AC000C
	dc.l	$17C000C
	dc.l	$1520018
	dc.l	$1520018
	dc.l	$1520048
	dc.l	$152000C
	dc.l	$140000C
	dc.l	$11C0018
	dc.l	$11C0018
	dc.l	$11C0030
	dc.l	$1AC0018
	dc.l	$1400018
	dc.l	$1520024
	dc.l	$140000C
	dc.l	$17C0048
	dc.l	$FFFC000B
	dc.l	$FFF70019
	dc.l	$FFF50001
	dc.l	$FFFC0009
	dc.l	$FFF7001E
	dc.l	$FFFE017C
	dc.l	$18017C
	dc.l	$C017C
	dc.l	$C017C
	dc.l	$C017C
	dc.l	$C017C
	dc.l	$18011C
	dc.l	$18017C
	dc.l	$180152
	dc.l	$1800FE
	dc.l	$18011C
	dc.l	$180140
	dc.l	$300152
	dc.l	$18017C
	dc.l	$18017C
	dc.l	$C017C
	dc.l	$C017C
	dc.l	$C017C
	dc.l	$C017C
	dc.l	$300140
	dc.l	$180152
	dc.l	$180140
	dc.l	$C0152
	dc.l	$C017C
	dc.l	$C0152
	dc.l	$C01AC
	dc.l	$48FFFC
	dc.l	$BFFF7
	dc.l	$14FFF5
	dc.l	$1FFF6
lbL006FFC	dc.l	$FFFC0004
	dc.l	$FFF70023
	dc.l	$FFF9FFFF
	dc.l	$1FFFE
	dc.l	$D6000E
	dc.l	$FE000E
	dc.l	$BE000E
	dc.l	$D6000E
	dc.l	$A0000E
	dc.l	$A9000E
	dc.l	$7F000E
	dc.l	$8E000E
	dc.l	$F0000E
	dc.l	$FE000E
	dc.l	$A0000E
	dc.l	$8E0004
	dc.l	$7F0003
	dc.l	$8E0007
	dc.l	$A00007
	dc.l	$A90007
	dc.l	$A0000E
	dc.l	$D6000E
	dc.l	$140000E
	dc.l	$11C0007
	dc.l	$1400007
	dc.l	$152000E
	dc.l	$FE000E
	dc.l	$11C000E
	dc.l	$D6000E
	dc.l	$E2000E
	dc.l	$A9000E
	dc.l	$BE0007
	dc.l	$A90007
	dc.l	$A0000E
	dc.l	$A90007
	dc.l	$A00007
	dc.l	$8E000E
	dc.l	$11C000E
	dc.l	$E2000E
	dc.l	$D6002A
	dc.l	$FFF70019
	dc.l	$FFF50001
	dc.l	$FFF70023
	dc.l	$8E000E
	dc.l	$A9000E
	dc.l	$7F000E
	dc.l	$8E000E
	dc.l	$F0000E
	dc.l	$FE000E
	dc.l	$BE000E
	dc.l	$C8000E
	dc.l	$A0000E
	dc.l	$A9000E
	dc.l	$7F000E
	dc.l	$8E0004
	dc.l	$7F0003
	dc.l	$8E0007
	dc.l	$A00007
	dc.l	$A90007
	dc.l	$A00007
	dc.l	$8E0007
	dc.l	$7F000E
	dc.l	$BE000E
	dc.l	$97000E
	dc.l	$8E0007
	dc.l	$7F0007
	dc.l	$F0000E
	dc.l	$8E000E
	dc.l	$A0000E
	dc.l	$A90007
	dc.l	$A00007
	dc.l	$8E000E
	dc.l	$D6000E
	dc.l	$F0000E
	dc.l	$FE0007
	dc.l	$F00007
	dc.l	$D6000E
	dc.l	$11C000E
	dc.l	$140000E
	dc.l	$1520007
	dc.l	$1400007
	dc.l	$11C000E
	dc.l	$1AC000E
	dc.l	$D6000E
	dc.l	$FE000E
	dc.l	$BE000E
	dc.l	$D6000E
	dc.l	$A0000E
	dc.l	$A9000E
	dc.l	$7F000E
	dc.l	$8E0007
	dc.l	$7F0007
	dc.l	$F0000E
	dc.l	$7F0004
	dc.l	$F00003
	dc.l	$7F0007
	dc.l	$8E0007
	dc.l	$A00007
	dc.l	$A90007
	dc.l	$A00007
	dc.l	$8E000E
	dc.l	$A00004
	dc.l	$8E0003
	dc.l	$A00007
	dc.l	$A90007
	dc.l	$BE0007
	dc.l	$D6000E
	dc.l	$F00012
	dc.l	$FE0009
	dc.l	$F00009
	dc.l	$D60014
	dc.l	$FE0014
	dc.l	$11C0004
	dc.l	$FE0003
	dc.l	$11C000A
	dc.l	$140000A
	dc.l	$140003C
	dc.w	$FFF6
lbL0071D2	dc.l	$FFFC0004
	dc.l	$FFF70023
	dc.l	$FFF9FFFF
	dc.l	$1FFFE
	dc.l	$1AC000E
	dc.l	$280000E
	dc.l	$1E0000E
	dc.l	$1FC000E
	dc.l	$280000E
	dc.l	$1AC000E
	dc.l	$140000E
	dc.l	$152000E
	dc.l	$1AC000E
	dc.l	$140000E
	dc.l	$17C000E
	dc.l	$1E0000E
	dc.l	$1AC000E
	dc.l	$280002A
	dc.l	$1FC000E
	dc.l	$1AC000E
	dc.l	$140000E
	dc.l	$152000E
	dc.l	$1AC000E
	dc.l	$11C000E
	dc.l	$D6000E
	dc.l	$E2000E
	dc.l	$11C000E
	dc.l	$D6000E
	dc.l	$152000E
	dc.l	$238000E
	dc.l	$238000E
	dc.l	$1AC002A
	dc.l	$FFF70019
	dc.l	$FFF50001
	dc.l	$FFF70023
	dc.l	$1AC000E
	dc.l	$D6000E
	dc.l	$140000E
	dc.l	$152000E
	dc.l	$1AC000E
	dc.l	$140000E
	dc.l	$17C000E
	dc.l	$FE000E
	dc.l	$17C000E
	dc.l	$11C000E
	dc.l	$140000E
	dc.l	$152000E
	dc.l	$FE000E
	dc.l	$17C000E
	dc.l	$BE000E
	dc.l	$BE000E
	dc.l	$D6000E
	dc.l	$F0000E
	dc.l	$11C000E
	dc.l	$11C0007
	dc.l	$FE0007
	dc.l	$F0000E
	dc.l	$D6000E
	dc.l	$1AC000E
	dc.l	$1AC0007
	dc.l	$17C0007
	dc.l	$152000E
	dc.l	$140000E
	dc.l	$1FC000E
	dc.l	$1E00007
	dc.l	$1AC0007
	dc.l	$17C000E
	dc.l	$1AC000E
	dc.l	$1E0000E
	dc.l	$1FC000E
	dc.l	$238000E
	dc.l	$280000E
	dc.l	$1E0000E
	dc.l	$1FC000E
	dc.l	$280000E
	dc.l	$1AC000E
	dc.l	$140000E
	dc.l	$152000E
	dc.l	$1AC000E
	dc.l	$140000E
	dc.l	$FE000E
	dc.l	$D6000E
	dc.l	$1AC000E
	dc.l	$17C000E
	dc.l	$F0000E
	dc.l	$152000E
	dc.l	$D60012
	dc.l	$1400012
	dc.l	$1FC0014
	dc.l	$1AC0014
	dc.l	$3580014
	dc.l	$140003C
	dc.w	$FFF6
lbL007344	dc.l	$FFFF01C0
	dc.l	$FFFC0006
	dc.l	$FFF7003E
	dc.l	$FFF9FFFF
	dc.l	$100E2
	dc.l	$700D6
	dc.l	$700BE
	dc.l	$700D6
	dc.l	$700E2
	dc.l	$700FE
	dc.l	$7011C
	dc.l	$E00FE
	dc.l	$E017C
	dc.l	$2A0152
	dc.l	$7012E
	dc.l	$7011C
	dc.l	$7012E
	dc.l	$70152
	dc.l	$7017C
	dc.l	$701AC
	dc.l	$701C4
	dc.l	$701AC
	dc.l	$7017C
	dc.l	$701C4
	dc.l	$2A0097
	dc.l	$7008E
	dc.l	$7007F
	dc.l	$7008E
	dc.l	$70097
	dc.l	$700A9
	dc.l	$700BE
	dc.l	$E00A9
	dc.l	$E00FE
	dc.l	$2A00E2
	dc.l	$700C8
	dc.l	$700BE
	dc.l	$700C8
	dc.l	$700E2
	dc.l	$700FE
	dc.l	$7011C
	dc.l	$7012E
	dc.l	$7011C
	dc.l	$700FE
	dc.l	$7012E
	dc.l	$2AFFFF
	dc.l	$1C000A9
	dc.l	$70097
	dc.l	$7008E
	dc.l	$70097
	dc.l	$700A9
	dc.l	$700BE
	dc.l	$700A9
	dc.l	$700BE
	dc.l	$700D6
	dc.l	$700E2
	dc.l	$700D6
	dc.l	$700E2
	dc.l	$700FE
	dc.l	$7011C
	dc.l	$700FE
	dc.l	$7011C
	dc.l	$7012E
	dc.l	$70152
	dc.l	$7017C
	dc.l	$7011C
	dc.l	$7012E
	dc.l	$70152
	dc.l	$7017C
	dc.l	$70152
	dc.l	$7012E
	dc.l	$E00A9
	dc.l	$E00BE
	dc.l	$700D6
	dc.l	$700E2
	dc.l	$900D6
	dc.l	$900BE
	dc.l	$12011C
	dc.l	$900FE
	dc.l	$A00E2
	dc.l	$14011C
	dc.l	$14012E
	dc.l	$A011C
	dc.l	$A011C
	dc.l	$3CFFF6
lbL007494	dc.l	$FFFC000B
	dc.l	$FFF70035
	dc.l	$FFF9FFFF
	dc.l	$100FE
	dc.l	$1200E2
	dc.l	$12011C
	dc.l	$120152
	dc.l	$12012E
	dc.l	$9011C
	dc.l	$900FE
	dc.l	$12012E
	dc.l	$12017C
	dc.l	$120152
	dc.l	$9012E
	dc.l	$9011C
	dc.l	$12012E
	dc.l	$120152
	dc.l	$12017C
	dc.l	$120152
	dc.l	$9017C
	dc.l	$90152
	dc.l	$9012E
	dc.l	$90152
	dc.l	$12012E
	dc.l	$9011C
	dc.l	$900FE
	dc.l	$300E2
	dc.l	$300FE
	dc.l	$C012E
	dc.l	$9011C
	dc.l	$900FE
	dc.l	$12011C
	dc.l	$9012E
	dc.l	$9011C
	dc.l	$300FE
	dc.l	$3011C
	dc.l	$C0152
	dc.l	$9012E
	dc.l	$9011C
	dc.l	$12012E
	dc.l	$90152
	dc.l	$9012E
	dc.l	$14017C
	dc.l	$14012E
	dc.l	$50152
	dc.l	$5012E
	dc.l	$50152
	dc.l	$1A017C
	dc.l	$F017C
	dc.l	$42FFF6
lbL00755C	dc.l	$FFFC000C
	dc.l	$FFF7001E
	dc.l	$FFFF0012
	dc.l	$FFF9FFFF
	dc.l	$10238
	dc.l	$240190
	dc.l	$24025C
	dc.l	$360238
	dc.l	$901FC
	dc.l	$901C4
	dc.l	$3601C4
	dc.l	$120190
	dc.l	$6C017C
	dc.l	$480190
	dc.l	$24017C
	dc.l	$3C0190
	dc.l	$1E025C
	dc.l	$4AFFF6
lbL0075A4	dc.l	$FFFC000D
	dc.l	$FFF70028
	dc.l	$FFF9FFFF
	dc.l	$1017C
	dc.l	$120238
	dc.l	$2401FC
	dc.l	$120238
	dc.l	$12025C
	dc.l	$120238
	dc.l	$901FC
	dc.l	$901C4
	dc.l	$120238
	dc.l	$1202A4
	dc.l	$12025C
	dc.l	$120320
	dc.l	$1202F8
	dc.l	$1203F8
	dc.l	$2401FC
	dc.l	$120238
	dc.l	$12025C
	dc.l	$2401C4
	dc.l	$2402A4
	dc.l	$2401FC
	dc.l	$24017C
	dc.l	$140238
	dc.l	$1401FC
	dc.l	$3002F8
	dc.l	$4AFFF6
lbL007614	dc.l	$FFFC000B
	dc.l	$FFF7002D
	dc.l	$FFF9FFFF
	dc.l	$7FFFF
	dc.l	$120238
	dc.l	$48025C
	dc.l	$4802A4
	dc.l	$4801FC
	dc.l	$48025C
	dc.l	$480238
	dc.l	$4801FC
	dc.l	$5802F8
	dc.l	$64FFF6
lbL007648	dc.l	$FFFC000C
	dc.l	$FFF7003E
	dc.l	$FFF9FFFF
	dc.l	$100A0
	dc.l	$700BE
	dc.l	$700D6
	dc.l	$700F0
	dc.l	$700FE
	dc.l	$7011C
	dc.l	$70140
	dc.l	$70152
	dc.l	$7017C
	dc.l	$70140
	dc.l	$701FC
	dc.l	$7017C
	dc.l	$70140
	dc.l	$700FE
	dc.l	$7FFFE
	dc.l	$1400007
	dc.l	$17C0007
	dc.l	$FFF50001
	dc.l	$1C40007
	dc.l	$17C0007
	dc.l	$2180007
	dc.l	$1C40007
	dc.l	$1FC0007
	dc.l	$2180007
	dc.l	$FFFF0006
	dc.l	$FFF9FFFF
	dc.l	$3011C
	dc.l	$2A00FE
	dc.l	$EFFFF
	dc.l	$6FFF9
	dc.l	$FFFF0003
	dc.l	$1400030
	dc.l	$1520010
	dc.l	$FFFF0006
	dc.l	$FFF9FFFF
	dc.l	$30152
	dc.l	$36017C
	dc.l	$12FFFF
	dc.l	$6FFF9
	dc.l	$FFFF0005
	dc.l	$17C0050
	dc.w	$FFF6
lbL0076FA	dc.l	$FFFC000C
	dc.l	$FFF7003C
	dc.l	$FFFF00AC
	dc.l	$FFF9FFFF
	dc.l	$30152
	dc.l	$3E017C
	dc.l	$460190
	dc.l	$4E0140
	dc.l	$4CFFF6
lbL00771E	dc.l	$FFFC000C
	dc.l	$FFF7003C
	dc.l	$FFFF00AA
	dc.l	$FFF9FFFF
	dc.l	$300FE
	dc.l	$3E00FE
	dc.l	$46011C
	dc.l	$4E00FE
	dc.l	$4EFFF6
lbL007742	dc.l	$FFFC0004
	dc.l	$FFF70010
	dc.l	$FFFF00A8
	dc.l	$FFF9FFFF
	dc.l	$301C4
	dc.l	$14017C
	dc.l	$E01C4
	dc.l	$E0238
	dc.l	$E01AC
	dc.l	$E01E0
	dc.l	$80218
	dc.l	$80238
	dc.l	$80280
	dc.l	$100140
	dc.l	$10011C
	dc.l	$180140
	dc.l	$12011C
	dc.l	$120238
	dc.l	$12FFF9
	dc.l	$FFFF0005
	dc.l	$1AC0050
	dc.w	$FFF6
lbL007798	dc.l	$FFFC0004
	dc.l	$FFF7001E
	dc.l	$FFFF0009
	dc.l	$FFF9FFFF
	dc.l	$100E2
	dc.l	$900BE
	dc.l	$9008E
	dc.l	$9FFFE
	dc.l	$BE0009
	dc.l	$E20009
	dc.l	$FFF50001
	dc.l	$FFFF0009
	dc.l	$FFF9FFFF
	dc.l	$100E2
	dc.l	$9FFF5
	dc.l	$1FFFF
	dc.l	$9FFF9
	dc.l	$FFFF0001
	dc.l	$E20009
	dc.l	$BE0009
	dc.l	$A00009
	dc.l	$FFFE00BE
	dc.l	$900E2
	dc.l	$9FFF5
	dc.l	$1FFFF
	dc.l	$9FFF9
	dc.l	$FFFF0001
	dc.l	$E20009
	dc.l	$FFF50001
	dc.l	$FFFF0009
	dc.l	$FFF9FFFF
	dc.l	$1011C
	dc.l	$900D6
	dc.l	$900B4
	dc.l	$9FFFE
	dc.l	$D60009
	dc.l	$11C0009
	dc.l	$FFF50001
	dc.l	$FFFF0009
	dc.l	$FFF9FFFF
	dc.l	$1011C
	dc.l	$9FFF5
	dc.l	$1FFFF
	dc.l	$9FFF9
	dc.l	$FFFF0001
	dc.l	$12E0009
	dc.l	$D60009
	dc.l	$B40009
	dc.l	$D60009
	dc.l	$12E0009
	dc.l	$D60009
	dc.l	$12E0009
	dc.l	$FFFF0009
	dc.l	$FFF9FFFF
	dc.l	$1012E
	dc.l	$9FFFF
	dc.l	$9FFF9
	dc.l	$FFFF0001
	dc.l	$12E0009
	dc.l	$FFF50001
	dc.l	$FFFF0009
	dc.l	$FFF9FFFF
	dc.l	$1011C
	dc.l	$900E2
	dc.l	$900BE
	dc.l	$900E2
	dc.l	$9011C
	dc.l	$900E2
	dc.l	$900BE
	dc.l	$900B4
	dc.l	$B00D6
	dc.l	$B00FE
	dc.l	$B0097
	dc.l	$13008E
	dc.l	$50FFF6
lbL0078C4	dc.l	$FFFC0004
	dc.l	$FFF7001E
	dc.l	$FFF9FFFF
	dc.l	$4011C
	dc.l	$48011C
	dc.l	$12017C
	dc.l	$12011C
	dc.l	$48010C
	dc.l	$120140
	dc.l	$12FFFE
	dc.l	$11C0048
	dc.l	$1680012
	dc.l	$1AC0012
	dc.l	$FFF50002
	dc.l	$11C0048
	dc.l	$FFFF0030
	dc.l	$FFF9FFFF
	dc.l	$101C4
	dc.l	$54FFF6
lbL007910	dc.l	$FFFC0004
	dc.l	$FFF7001E
	dc.l	$FFF9FFFF
	dc.l	$3FFFE
	dc.l	$238006C
	dc.l	$FFF50005
	dc.l	$2380058
	dc.w	$FFF6
lbL00792E	dc.l	$FFFC0005
	dc.l	$FFF70037
	dc.l	$FFFF00B4
	dc.l	$FFF9FFFF
	dc.l	$801FC
	dc.l	$24017C
	dc.l	$1201FC
	dc.l	$6017C
	dc.l	$C0140
	dc.l	$24017C
	dc.l	$240140
	dc.l	$12017C
	dc.l	$60140
	dc.l	$C00E2
	dc.l	$240140
	dc.l	$2400E2
	dc.l	$120140
	dc.l	$600E2
	dc.l	$C00BE
	dc.l	$2400E2
	dc.l	$240152
	dc.l	$120190
	dc.l	$60152
	dc.l	$C00FE
	dc.l	$240140
	dc.l	$2C00FE
	dc.l	$180152
	dc.l	$C00FE
	dc.l	$1800C8
	dc.l	$60FFF6
	dc.w	0


lbW0079E8	dc.w	$F00
lbW0079EA	dc.w	1
	dc.w	2
	dc.w	4
	dc.w	8
Audioone.MSG	dc.b	'Audio one',0
Audiotwo.MSG	dc.b	'Audio two',0
Audiothree.MSG	dc.b	'Audio three',0
Audiofour.MSG	dc.b	'Audio four',0,0
lbL007A1E	dc.l	Audioone.MSG
	dc.l	Audiotwo.MSG
	dc.l	Audiothree.MSG
	dc.l	Audiofour.MSG
Audiozero.MSG	dc.b	'Audio zero',0,0
audiodevice.MSG	dc.b	'audio.device',0,0
;CantopentheAu.MSG	dc.b	'Can''t open the Audio Device',0
;lbL007A64	dc.l	CantopentheAu.MSG
lbL007A68	dc.l	lbC0028F0
	dc.l	lbC002900
	dc.l	lbC00290E
	dc.l	lbC00291E
	dc.l	lbC00292E
	dc.l	lbC00293E
	dc.l	lbC00294E
	dc.l	lbC00295E
;	dc.l	lbC00341A
;	dc.l	lbC00341A
;	dc.l	lbC0032F0
;	dc.l	lbC003332
	dc.l	lbC002B1C
	dc.l	lbC002B50
	dc.l	lbC002B78
	dc.l	lbC002BA0
	dc.l	lbC002BD4
	dc.l	lbC002BFC
	dc.l	lbC002C30
	dc.l	lbC002C58
	dc.l	lbC002C8C
	dc.l	lbC002CC0
	dc.l	lbC00296E
	dc.l	lbC00297E
	dc.l	lbC002A88
	dc.l	lbC002AA6
	dc.l	lbC002AC4
	dc.l	lbC002AE2
	dc.l	lbC002AFE

	dc.l	lbC0029BA				;+
	dc.l	lbC0029F0				;+
	dc.l	lbC002A24				;+
	dc.l	lbC002A56				;+

;lbW007AF8	dc.w	$405
;	dc.w	12
;	dc.w	0
;	dc.w	$405
;	dc.w	8
;	dc.w	$500
;	dc.w	$400
;	dc.w	9
;	dc.w	$A0B
;	dc.w	$406
;	dc.w	12
;	dc.w	$D0B
;	dc.w	$C04
;	dc.w	4
;	dc.w	$500
;	dc.w	0
lbW007B18	dc.w	0
lbW007B1A	dc.w	0
lbL007B1C	dc.l	$FFFC0002
	dc.l	$FFF70000
	dc.l	$2E40001
	dc.l	$FFF60000
	dc.l	0


;lbL00988C	ds.l	1

lbW0098B0	ds.w	1
lbL0098B2	dc.l	Buffy
lbL0098B6	ds.l	1
lbL0098BA	ds.l	4
lbL0098CA	ds.l	1
lbW0098CE	ds.w	1
;lbW0098D0	ds.w	1
;lbW0098D2	ds.w	1

lbL0098D4	dc.l	FX1+4
	dc.l	$4C00
	dc.w	-1
	dc.l	FX2+4
	dc.l	$918
	dc.w	-1
lbL0098E8	dc.l	FX3+4
lbL0098EC	dc.l	$7FFC
	dc.w	-1
	dc.l	FX4+4
	dc.l	$1600
	dc.w	-1
	dc.l	Samp01+4
	dc.l	$2C00
	dc.w	-1
	dc.l	Samp02+4
	dc.l	$1B00
	dc.w	-1
	dc.l	Samp03+4
	dc.l	$E00
	dc.w	-1
	dc.l	0				; unused or miss ?
	dc.l	0
	dc.w	0
	dc.l	Samp05+4
	dc.l	$2000
	dc.w	-1
	dc.l	Samp06+4
	dc.l	$1000
	dc.w	-1
	dc.l	Samp07+4
	dc.l	$800
	dc.w	-1
	dc.l	Samp08+4
	dc.l	$1000
	dc.w	-1
	dc.l	Samp09+4
	dc.l	$1000
	dc.w	-1
	dc.l	Samp10+4
	dc.l	$800
	dc.w	-1
	dc.l	Samp11+4
	dc.l	$580
	dc.w	-1
	dc.l	Samp12+4
	dc.l	$800
	dc.w	-1
	dc.l	Samp13+4
	dc.l	$E80
	dc.w	-1
	dc.l	Samp14+4
	dc.l	$6B80
	dc.w	-1
	dc.l	Samp15+4
	dc.l	$7FC4
	dc.w	-1
	dc.l	FX0+4
	dc.l	$7F8
	dc.w	-1

lbW00999C	ds.w	1
;lbW0099A0	ds.w	2
lbW0099A4	ds.w	$10
lbW0099C4	ds.w	$10
lbW0099E4	ds.w	$10
lbW009A04	ds.w	$10
lbW009A24	ds.w	1

Buffy
	ds.b	$198
Buffy1
	ds.b	$22
Buffy2
	ds.b	$22*4

Samp01
	incbin	ram:Samp01
Samp02
	incbin	ram:Samp02
Samp03
	incbin	ram:Samp03
;Samp04
;	incbin	ram:Samp04
Samp05
	incbin	ram:Samp05
Samp06
	incbin	ram:Samp06
Samp07
	incbin	ram:Samp07
Samp08
	incbin	ram:Samp08
Samp09
	incbin	ram:Samp09
Samp10
	incbin	ram:Samp10
Samp11
	incbin	ram:Samp11
Samp12
	incbin	ram:Samp12
Samp13
	incbin	ram:Samp13
Samp14
	incbin	ram:Samp14
Samp15
	incbin	ram:Samp15
FX0
	incbin	ram:FX0
FX1
	incbin	ram:FX1
FX2
	incbin	ram:FX2
FX3
	incbin	ram:FX3
FX4
	incbin	ram:FX4
PS_End
